DFMPro for NX - What's new?

DFMPro for NX - What's new in v5.1?

Added-

  • Unanalyzed region information added in excel report.

  • Rule configuration – Reset to default option.

Following rules are added-

Rule Name

Category
Recommended Pin Diameter

Injection Molding
Thickness at Tip of Rib

Injection Molding
Recommended Bend Radius and Tolerance

Sheet Metal


DFMPro Help Overview

Help Overview

1. Whats New in This Release

DFMPro for NX - What's new?

2. Getting Started

How to Use DFMPro

Selecting Rules to Run

Configuring Rules

Custom Message

Rule Input Units

Register Rule Module Dialog Box

Multiple Pulling Direction and Classification of Mold Faces

Customizing the Profiles

Viewing and Interpreting Results

Capture Image

Correcting Errors and Revalidating

Generate Report

DFMPro FAQ

Contacting Technical Support

3. Rules


How to Use DFMPro?

DFMPro is a tool for designers that facilitates upstream manufacturability validation and identification of areas of a design that are difficult, expensive or otherwise impossible to manufacture.

DFMPro is integrated with NX Check-Mate. When DFMPro is installed, the setup program automatically activates DFMPro Rules in Check-Mate. The rules will be grouped in profiles under DFMPro category in Check-Mate Tests.

To Start DFMPro and run the design analysis:

  1. Start NX and open a part or assembly containing solid bodies.

  2. Start Check-Mate using menu Analysis >> Check-Mate >> Set Up Tests.

  3. Select the Tests tab. Open category DFMPro. DFMPro Manufacturing profiles are listed.

  4. Select any one of the profiles (e.g. Prismatic Mill) and click on option Add to Selected.

  5. Click on Execute Check-Mate to run the rules. Results for DFMPro rules will be displayed in the result window.

  6. To Run the tests for Injection Molding, Casting and Die Casting user need to select pulling direction by customizing profile.

  7. View and interpret the results

  8. Correct errors and revalidate

To Start DFMPro Analysis using Toolbar Buttons:

  1. Start NX and open a part or assembly containing solid bodies.

  2. Right Click on Toolbars in NX and select DFMPro. It will open a toolbar for DFMPro in NX.

  3. Toolbar contains buttons for all the Modules supported by DFMPro.

  4. Click on Rule File Selection Button and Select DFMPro Rule File.

  5. Now to run the test click on appropriate button of the module e.g. Prismatic Mill.

  6. DFMPro execution will start and it will show the results in the NX HD3D Tools panel.

  7. To Run the tests for Injection Molding, Casting and Die Casting, user need to select pulling direction using a button Select Pulling Direction in the Toolbar.

  8. View and interpret the results

  9. Correct errors and revalidate

Advance Toolbar:

Similar to assembly module tool tip is added for each of the button on Advance Toolbar

For Casting, Die Casting, Injection Molding and Additive Manufacturing modules user can select the Pulling direction by clicking the Select Pulling Direction option as shown below-

Primary reference direction is only applicable for Preferred Stock Size Rule for milling module.


Selecting Rules to Run

The rules and their values are stored in a file with a .dfm extension. The DFMPro Rule Manager allows you to specify the rules you want to be used.

When you open any of the DFMPro profiles in Check-Mate, SampleRules.dfm is the selected rule file by default. This file has been set up to enable all the rules for all listed DFMPro profiles. The Rule Manager allows you to edit this file or create additional rule files that are customized to your design environment.

To open the Rule Manager dialog box, use the following method:

  • Click DFMPro on the NX menu bar and select Rule Manager on the menu.

  • Open DFMPro Rule Manager through Start >> Programs >> DFMPro >> DFMPro for NX >> DFMPro Rule Manager.

  1. Click the Register Rules button.

The Register Rules Module dialog box displays. You can select the rule categories you want to use for the design analysis.

  2. Select the Loaded Modules you want to remove and click Remove or click the Default Available Modules you want to use and click Load.

  3. Click OK.

  4. In the Rule Manager dialog box, remove check marks from the rules you do not want to run.

  5. Optionally, configure the rules.

  6. Click Save to save the changes to the current .dfm file or select Save As on the File menu and save the changes to a new file.

  7. Close the Rule Manager.


Configuring Rules

The DFMPro Rule Manager allows you to edit the default rules.

To configure a rule:

  1. Make sure the correct rule file is opened in the Rule Manager. The file name displays in the title bar.

  2. Highlight a rule in the list, then double-click or click the Configure Rule button.

  3. Change the values that display as required and click OK.

  4. Highlight a rule in the list, then right-click and reset to default. Modified rule configured values are reset to default value.

  5. Click Save to save the changes in the file.

The following parameters can be configured for the rules:

Expected value

Some rules compute a parameter in the part & check the value against the expected value. You can modify this expected value.

To change unit system, click on Menu-> Tools-> Rule Input Units. You can set the units for inputting length and angular values for the rules.

Criticality

You can specify the importance of the rule.

Note:

Reset to Default is not supported for following Assembly rules-

  • Fastener Clearance

  • Fastener Engagement

  • Check Preferred Components

  • Check Contact Material

  • Recommended Thread Connections


Custom Message

The user can configure custom message/rule importance message in the rule manager. In cases where user needs to add a custom message related to industry or design standards (generally referred during part design), ‘custom message’ functionality can be made use of. This lets design engineers define the importance of DFMPro rules as per industry standards and design guidelines.

Custom message column can be displayed in rule manager based on setting.XML file. The location of setting file is <"%AppData%\GeometricLtd\DFX\standalone\settings.xml"> .

Based on setting, Custom message column gets displayed in rule manager.

<CustomMessage><CustomMessageEnable>1</CustomMessageEnable

If 1 then custom message column added in rule manager.

If 0 then custom message column is not added to rule manager.

Custom Message can only be added by ‘Admin’ as it’s saved in DFMPro database which is only accessible to a user with admin rights by following the steps mentioned below-

  1. Open Rule Manager.

  2. Based on setting file an additional column gets added in rule manager as illustrated below. The user can type custom message for each rule and the information keyed in the ‘Custom Message’ dialog box is sent to the DFMPro database.

  3. The user can also add a bulk custom message to each rule by using “Export Custom Message” which allows user to export the excel file containing 'Help_ID, Rule Name, Rule Category & Custom Message Column' .

  1. Go to 'Customize' select and “Export Custom Message “

Based on rules available in rule manager the template 'CustomMessageTemplate.xlsx' gets exported in the form of excel.

The user can add custom messages for each rule in 'Custom Message' Column and save the file.

  2. The user can import the custom message by clicking on 'Import Custom Message' and select the updated custom message excel file.

The corresponding custom message gets displayed rule manager.

  4. The information keyed in the ‘Custom Message’ dialog box is sent to the DFMPro database.

  5. The corresponding added custom message is displayed at root node message of the rule in results window as highlighted below. Same custom message displayed in DFMPro reports.

Note :

  • To add Custom Message successfully, we recommend do not modify/delete any cell/text from default Custom Message Template.

  • Only 256 text characters can be added in custom message column.

  • Avoid multiline text while adding a custom message.


Rule Input Units

This command on the Tools menu in the DFMPro Rule Manager allows you to set the units for inputting length and angular values when you edit rules.This setting applies to all rules which take in absolute values as rule parameters, for example: Standard Hole Sizes

When you select this command, the Rule Input Units window is displayed wherein you can set the length and angular units.


Register Rule Module Dialog Box

When you click on the Register Rules button [image] in the Rule Manager dialog box, the Register Rule Module dialog box is displayed. Rules are categorically saved in different module files, allowing users to customize the types of rules to be used for analysis. For example,at the time of analysis of only mill parts, other modules can be removed.

DFMPro is shipped with the following rule modules-

  • Composite

  • Mill,

  • Turn,

  • Sheet Metal,

  • Injection Molding,

  • Casting,

  • Die Casting,

  • Sand Casting,

  • Investment Casting,

  • Additive Manufacturing,

  • Assembly,

  • Tubing,

  • Tolerance, and

  • Welding

Add/remove modules

  • To load a custom module file, browse to the file location by clicking on [image] button,select the desired module file and click Load.

  • To load 'all modules' from unloaded module list, click [image] Load All button.

  • If you want to load single module from unloaded modules, click Load [image] button or double click on the module to be loaded.

  • To remove 'all modules', click [image] Remove All.

  • If you want to remove single module from loaded modules, double click on module in the loaded modules or click [image] Remove button.


Multiple Pulling Directions and Classification of Mold Faces

In case of Injection molding, direction of pull defines the direction that the tooling body (cavity or core) is pulled to separate the mold. It controls the direction in which the draft angle is applied.

In some cases, component design demands for side action to generate the required features in the mold. For that the user would need to specify multiple pull direction. This facility to select required secondary pull direction using window for Input Selection is provided. The facility to control and edit the default mold wall classification has been additionally provided.

Editing Mold Wall Classification

Application:

DFMPro automatically classifies all faces of the part under analysis into Core, Cavity, Side Action and Others group.

In some typical cases, few of the faces need to be moved from core to cavity and so on. Such faces can be moved from one group to another by using the 'Edit Mold Wall Classification' functionality.

Steps:

  • User can define primary and secondary pulling direction as per requirement. DFMPro would further check the definition of pulling direction information within the NX layers.

  • To view, analyze and modify the default mold faces classification

  • Click on the Injection Molding icon.

  • In the drop-down menu, click on Select Pulling Direction. Select Plane or Planar face or Part Edge or Axis or non-planar faces (conical and cylindrical faces) from the graphics area to define the Primary and Secondary pull direction.

  • Click on Edit Classification of Mold Faces which would display the Mold Wall Classification window in the User Interface. DFMPro automatically classifies all component faces into Core, Cavity, Side Core and other face.

  • For viewing the corresponding faces, click on the respective push buttons.

  • To modify the default mold wall classification

  • Select the main group i.e. Core, Cavity, Side Action and Other.

  • Click on the sub-group to be edited from the list.

  • Click Edit which would display the Edit Group Faces window in the User Interface.

  • For addition of new faces, click on the desired faces that are to be added. Click OK.

  • For removing faces, Press and hold the Shift key and click on the faces that you desire to remove. Click OK. The removed faces would be reclassified as Other Faces.

  • The selected faces would be reclassified as per selection.

  • User can also move the sub-groups by dragging and dropping in the desired main group.

  • If user desires to reset DFMPro’s default classification, click on Cancel or Close in the Mold Wall Classification window.

  • For renaming of sub-groups, double click on the desired sub-group from any main group that is to be renamed. Press Enter button from the keyboard after renaming.

  • Click on Run Injection Molding to continue the DFMPro analysis based on the available classification.

  • Mold Wall Classification is used in various rules related to draft angles, wall thickness, surface area, etc.

Steps to Save and Resuse User Defined Classification for Next Session:

Step-1 Click 'Edit Mold Wall Classification' button to reclassify default mold wall classification as per the requirement.

Step-2 Click 'OK' on 'Edit Mold Wall Classification' window to close it.

Step-3 Click 'Injection Molding' button to run the DFM analysis and confirm results are available.

Step-4 Click 'Export' results button and save the '.dfmr' file.

Step-5 To view the user reclassified mold faces and continue the DFM analysis with NX session, click 'Import' button and browse the exported result file.

Step-6 DFMPro results and user reclassified mold faces will be imported. Now, click 'Edit Mold Wall Classification' to view the mold face classification.

Note: User defined classification can be saved once DFMPro results are available.


Customizing the Profiles

To change the rule file or other inputs for a DFMPro profile:

  1. In Check-Mate window, under Tests tab, select a profile from DFMPro category.

  2. Click on the Add to Selected button to add the selected profile to Chosen Tests window.

  3. Select the profile in Chosen Tests window and click on Customize button to modify the input parameters for the selected DFMPro profile.

  4. To specify the rule file, click button Select File and locate the rule file using browse window.

  5. For DFMPro profiles like Sheet Metal, Mill-Turn etc., reference face input can be provided. Customize these profiles in Chosen Test then Click on the Add Geometry button and select the required reference face.

  6. For DFMPro profiles like Injection Molding, Die Casting and Casting, Pulling direction can be provided. Customize these profiles in Chosen Test then Click on the Select button and select the required pulling direction.

  7. Click on OK button to finish the customization.

For DFMPro profiles like Additive Manufacturing, Build direction can be provided. Customize these profiles in Chosen Test then Click on the Select button and select the required build direction


Capture Image

User can re-orient a model and capture images of the failed instance. Additionally, user can record observations. This functionality would allow user to enhance an excel report by adding captured images and comments.

Steps:

  • After the DFMPro analysis, Click on the Advance Result View, a window pop up would appear in the user interface.

  • Right Click on the required failed instance and click on Capture Image option.

  • As shown in the image below, a new window pop up would appear in the user interface.

  • Click on capture image icon and write appropriate comments, if any and click ok. It will save the captured image and the comment.

  • User can also remove the captured image and comment by clicking the delete button.

  • User can make use of preconfigured comments available in the comments.dat located at …\\Appdata\Roaming\DFMPro\comments.dat. Frequently used comments can be added by user to the comments.dat file. A click on the View Comments button would show the existing available comments.

  • After generating the excel report, user can review the captured images and comments associated with the failed instances for which he/she has saved the captured images and comments.


Viewing and Interpreting Results

When DFMPro analysis has finished, the results show the following information:

  • List of rules that were violated.

  • List of rules that passed.

  • Details on the rules that were violated:

  • The rule name

  • Number of instances violating the rule (Failed Instances)

  • What is wrong with each failed instance and where that instance is graphically

To view the above information:

  1. Expand the failed rule node. The instances that failed against the given rule are listed. A failed instance is typically geometry on the body that is difficult to machine or an attribute that violates the rule.

  2. Select the failed Instance node and use Show Info View command on right click to display the specific information on what is wrong with this geometry including the expected and actual conditions.

  3. Use Focus View on Tag command on right click. The related geometry is now focused on in the graphics area. This can be done for all the failed instances in the results.

  4. User can view the results with advanced result view

    1. Click Alt+R shortcut key.

    2. Click on Advanced Results View as shown in following image.

  5. Update DFMPro Results in Checkmate

  6. Click on Update DFMPro Results tab will help to update the results from advanced result view to NX checkmate result as shown in following image.

  7. Check Contact Material Rule, user can quickly view contact part by click on entity1 and entity2 on failure instance as shown in following image.

  8. Correct the errors and revalidate the design.


Correcting Errors and Revalidating

  1. Click a failed rule in the results tree. The tool tip info view dash board indicates how the geometry violates the rule and optionally suggests corrective action.

  2. Expand the error and click an Instance.

The geometry is highlighted graphically on the model

  3. Edit the design feature and correct it.

When you change the feature, the color of the DFMPro window changes and the dash board displays the prompt to run the analysis to update the results.

Because the document has been modified, the analysis needs to be re-run to be in sync with the model.

  4. After you correct one or more errors, click Run to re-run the analysis.

The errors you have corrected should not be listed in the failed items.

  5. Repeat these steps until the errors are eliminated.


Generate Report

When you click the Generate Report button [image] on the DFMPro toolbar or select Generate Report on the Advance UI menu, the results of the current analysis can be transferred to a excel report.

DFMPro supports excel report

Microsoft Excel based report (needs Microsoft Excel installation)

The format and presentation of the report can be modified by editing the templates. Depending on the version of Microsoft Excel (2003/2007/2010/2013/2016) installed on the computer, appropriate templates (ExcelReport.xlt/ExcelReport.xltx) are referred from the specified location. In the default format, the report contains a summary sheet with the list of failed rules. Each rule links to a sheet having details of failure instances for that rule.

The excel report template must follow the following conventions

  1. Excel report template must contain “Rule” sheet.

  2. In the rule sheet, the name of the rule is written in the cell next to the cell named DFMPRO_RULE_NAME

  3. A table contain details of failure instances is inserted at the cell named DFMPRO_DETAILS

  4. “Summary” sheet in the Excel report template can be deleted if not required.

  5. Information on report related to “generated by”, “generated on” and “file analysed” is written in the “Summary” sheet in the cells next to cells named as DFMPRO_GEN_BY, DFMPRO_GEN_ON, DFMPRO_ANALYSIS_FILE respectively. A summary table is inserted at the cell named DFMPRO_SUMMARY_TABLE.


Export / Import Results

Exporting results -- The results of the current analysis are saved in a .dfmr file. This file can be imported into DFMPro to view the results.

Importing results -- Using the Import menu, a .dfmr can be loaded to view previously exported results.

STEPS

  1. When DFMPro results are generated and visible in the DFMPro window, click on DFMPro>>Export/Import Results>>Export for exporting results.

2. For Importing results, click on DFMPro>>Export/Import Results>>Import.

NOTE:

  1. Even though the CAD model is changed or completely different it will import the result as it is. It may or may not highlight the feature, depending upon the availability of the feature.

  2. After importing the results, If user re-run the analysis, It will use the current configured rule file

  3. User can Export/Import pulling direction and mold wall classification data for Injection Molding module.


DFMPro FAQ

What are the specific rules supported by DFMPro?

Which versions of NX are supported by DFMPro?

Why DFMPro shows only 10 failure instances under the failed rule node when actual failed instance count is more?

Can I choose the specific rules that are applicable to my practice?

Does DFMPro support Assemblies?

When I run DFMPro, can I be 100% assured of an error-free design?

While running DFMPro, if it reports some errors that are not genuine errors, what should I do with these errors?

Can HCL Technologies Ltd. help me in creating a solution for my organization?

How to convert Position (Cylindrical) Tolerance Zones to/from Coordinate Tolerance Zones?

What are the specific rules supported by DFMPro?

Currently, DFMPro supports rules related to the following manufacturing processes:

  • Composite

  • Drilling

  • Prismatic Milling

  • Sheet Metal Fabrication

  • Turning

  • Assembly

  • Injection Molding

  • Casting

  • Die Casting

  • Additive Manufacturing

  • Tubing

  • Sand Casting

  • Investment Casting

top

Which versions of NX are supported by DFMPro?

This version of DFMPro supports NX 7.5, 8.0, 8.5, 9.0.25, 10.0, 11.0 and 12.0.

top

Why does DFMPro show only 10 failure instances under the failed rule node when actual failed instance count is more?

This is due to 'Customer Defaults' settings for Check-Mate. Go to File -> Utilities -> Customer Defaults. In Customer Defaults window, go to Analysis -> Check-Mate node. In General tab, modify 2 attributes - Maximum Number of Logged Objects and Maximum Number of Displayed Objects - to control the number of failed instances reported and displayed in results window under rule node.

top

Can I choose the specific rules that are applicable to my practice?

Yes. The rules in DFMPro may vary from user to user based on their set of practice. In this situation, you can configure DFMPro to run only selected checks by selecting and enabling only those relevant rules in the DFMPro Rules Manager.

top

Does DFMPro support Assemblies file for all modules?

DFMPro does not support assembly file for Prismatic Mill, Sheet Metal, Mill-Turn, Injection molding, Sand casting, Additive manufacturing, Investment Casting and Die casting profiles.

Exceptions such as the following can be noted in few cases-

  1. DFMPro support sheet metal assembly, if assembly has only one sheet metal component and rest are brought out components or brought out components has part name attributes (DB_PART_REV) with value 'VC' as shown in the following image.

  2. Tubing module can be run on part as well as assembly.

  3. DFMPro will support assembly with single body/components for Prismatic Mill, Sheet Metal, Mill-Turn, Sand casting module.

  4. DFMPro will support assembly level feature with single body/component for Prismatic Mill, Sheet Metal, Mill-Turn, Sand casting module.

  5. DFMPro will not support assembly with multiple bodies/ components for Prismatic Mill, Sheet Metal, Mill-Turn, Injection molding, Sand casting, Additive manufacturing, Investment Casting and Die casting.

top

When I run DFMPro, can I be 100% assured of an error-free design?

Currently the answer may be "no." A tool may under report or over report in exceptional cases not covered by existing algorithms. In addition, DFMPro may not always be able to analyze complete geometry of the part.

top

While running DFMPro, if it reports some errors that are not genuine errors, what should I do with these errors?

It may be possible that some errors are context specific (i.e., in certain context, violation of some rules need not be treated as error).

While running DFMPro, if it report following error

Procedure for part cleanup is as follows

  • Go to File>> Utilities>> Part Cleanup.

  • Select/Tick all options under Simple Cleanup Actions, Moderate Cleanup Actions and Moderate Delete Actions.

  • Click Apply and Ok.

  • Now run DFMPro for NX.

top

Can HCL Technologies Ltd. help me in creating a solution for my organization?

Yes, we will be glad to provide services to create a custom, proprietary solution for your organization. The developmental expertise of HCL Technologies Ltd. can facilitate the automation of these best practices into custom upfront design checks that are integrated into the enterprise’s working environment. For more information, contact Technical Support.

How to convert Position (Cylindrical) Tolerance Zones to/from Coordinate Tolerance Zones?

When converting total position (cylindrical) tolerance zone to total coordinate tolerance zones, the conversion factor is 0.707. The position tolerance will be multiplied by 0.707 (70.7%) to obtain the total coordinate tolerance.

Total Coordinate Tol. Zone = [Total Position (Cylindrical) Tol. Zone] X [0.707]

Bilateral Tolerance Zone = [Total Coordinate Tolerance Zone] / 2

For example, to convert 0.007 total position (cylindrical) tolerance to total coordinate tolerance:

Total Pos. Tol. Zone X Conversion Factor = Total Coordinate Tolerance Zone

0.028 Tol. X 0.707 = 0.019796 ~ 0.02 Tot. Coordinate Tol.

Or

Total Coordinate Tol. Zone / 2 = Bilateral Tol. Zone 0.02 / 2 = 0.01 Bilateral Tolerance

The following example demonstrates a simple conversion from total position tolerance zone to total coordinate tolerance zone and bilateral tolerance zone. The above image visually demonstrates the conversion from position (cylindrical) tolerance zone to the coordinate tolerance zone.

When converting from total coordinate tolerance zone to total position (cylindrical) tolerance zone, the total coordinate tolerance zone is multiplied by 1.4142. A bilateral tolerance zone is multiplied by 2 then multiplied by 1.4142 to obtain the total position (cylindrical) tolerance zone.

Total Position Tol. Zone =[Total Coordinate Tol. Zone] X [1.4142]

Total Position Tol. Zone = [Bilateral Tol. Zone] X [2] X [1.4142]

For example, to convert .02 total coordinate tolerance to total position (cylindrical) tolerance:

[Total Coordinate Tolerance Zone] X [Conversion Factor] = Total Position Tol. Zone

[0.02 Total Coordinate Tol. Zone] X [1.4142] = 0.028 Total Tol. Zone

Or

[Bilateral Tolerance Zone] X [2] X [Conversion Factor] = Total Position Tol. Zone

[0.01 Bilateral Tol.] X [2] X [1.4142] = 0.028 Total Tol. Zone

Known Issues

top


Contacting Technical Support

If you have questions or problems, please email our technical support staff at dfmpro.support@hcl.com .


DFMPro Rules

Rules

The following manufacturing rules are set up with default values that can be modified if necessary.

Additive Manufacturing (Available for evaluation on demand)

Faces Requiring Support

Gap between Faces

Recommended Hole Size

Thickness between Faces

Assembly

Check Contact Material

Check Preferred Components

Fastener Accessibility

Fastener Clearance

Fastener Engagement Length

Hole Alignment

Interference Detection

Minimum Clearance Between Components

Recommended Thread Connection

Slot to Hole Alignment

Casting

Minimum Draft Angle

Mold Wall Thickness

Undercut Detection

Uniform Wall Thickness

Wall Thickness Variation

Composite (Available for evaluation on demand)

Ply Balancing

Ply Sequencing

Drilling

Deep Holes

Entry/Exit Surface for Holes

Flat Bottomed Holes

Holes Intersecting Cavities

Partial Holes

Standard Hole Sizes

Recommended Tolerances for Holes

Die Casting

Minimum Draft Angle-Based on Formula

General

Avoid Tapered Threads

Dimensional Precision Check

Fillet Radius

Minimum Drill Breakout Wall Thickness

Minimum Wall Thickness for Boss

Tap Drill Parameters

Minimum Text Size

Thickness Check

Thread Relief for Hole

Recommended Counterbore Hole Parameters

Injection Molding

Draft Angle Based on Height

Hole Depth to Diameter Ratio

Beta-Lifter Release Check

Maximum Cutout Area

Minimum Draft Angle

Minimum Draft for Bosses

Minimum Radius at Base of Boss

Minimum Radius at Base of Rib

Minimum Radius at Tip of Boss

Mold Wall Thickness

Recommended Boss Parameters

Recommended Pin Diameter

Recommended Rib Parameters

Recommended Molding Tolerance

Rib Reinforcement Check

Spacing between Cutouts

Sudden Wall Thickness Variation

Thickness at Tip of Rib

Undercut Detection

Uniform Wall Thickness

Wall Thickness Variation

Investment Casting

Minimum Wall Thickness

Milling

Avoid Angular Milling Faces

Deep - Narrow Slots

Deep Radiused Corners

Extended Clearance for Fillet

Fillets On Top Edges

Narrow Regions in Pockets

Non Uniform Draft Features

Non Uniform Bottom Radius

Pockets With Bottom Chamfers

Preferred Stock Sizes

Recommended Side Radius

Sharp Internal Corners

Tool Accessibility

Recommended Bottom Radius

Recommended Groove Distance

Sheet Metal - Fabrication

Burring Hole Distance To Bends

Burring Hole Distance To Cutouts

Burring Hole Distance To Part Edge

Burring Hole Height

Burring Hole Inner Diameter

Burring Hole Parameters

Burring Hole Spacing

Beta-Tab Parameters

Extruded Hole Distance To Bends

Extruded Hole Distance To Cutouts

Extruded Hole Distance To Part Edge

Extruded Hole Height

Extruded Hole Parameters

Extruded Hole Inner Diameter

Counterbore Hole Distance to Part Edge

Counterbore Hole to Bend Distance

Counterbore Hole Spacing

Countersink Hole Distance to Part Edge

Countersink Hole to Bend Distance

Countersink Hole Spacing

Closed Hem Parameters

Cutout To Bend Distance

Cutout To Bend Distance (Line Length Based)

Cutout Distance To Part Edge

Cutout Distance To Part Edge (Line Length Based)

Dowel Distance To Bends

Dowel Distance To Cutouts

Dowel Distance To Part Edge

Dowel Outer Diameter

Dowel Outer Diameter Height

Dowel Spacing

Half-Shear Parameters

Hem Distance to Bends

Hem Distance to Cutouts

Hole Distance to Bends

Hole to Part Edge Distance

Interference in Flat Pattern

Knife Edge

Maximum Depth of Counterbore

Maximum Depth of Countersink

Maximum Embossment Depth

Minimum Bend Radius

Minimum Corner Radius

Minimum Distance Between Cutouts

Minimum Distance between Cutouts (Line Length Based)

Minimum Distance Between Dimples

Minimum Distance From Bend To a Parallel Slot

Minimum Distance from Dimple to Bend

Minimum Distance from Dimple to Cutouts

Minimum Distance from Dimple to Hole

Minimum Distance from Dimple to Part Edge

Minimum Distance From Edge of Part To a Parallel Slot

Minimum Flange Height

Minimum Flange Height-Based on Thickness

Minimum Hole Diameter

Minimum Width of Cutout

Minimum Width Of a Slot

Multiple Bends in Same Direction

Notch Parameters

Notch to Bend Distance

Open Hem

Preferred Sheet Sizes

Rolled Hem

Rolled Hem to Hole Edge Distance

Recommended Bend Radius and Tolerance

Recommended Sheet Metal Tolerances

Recommended Punch Parameters

Tear Drop Hem

Weld Nut to Edge Clearance

Sand Casting

Uniform Wall Thickness

Tubing

Minimum Bending Radius for Tubes and Hoses

Minimum Clearance Between Tubes

Recommended Tube Bend Radius

Turning

Blind Hole Relief

Keyways Should be Radiused at Their Ends

Long - Slender Turned Parts

Minimum Internal Corner Radius

OD Profile Relief

Symmetrical Axial Slots

Tolerances

Linear and Angular Tolerance


Faces Requiring Support

Rule

Faces requiring support should be minimal for ease of manufacturing.

Explanation

Faces requiring support should be minimal for ease of manufacturing. For additive manufacturing, faces requiring support should be minimal to reduce manufacturing time as well as to avoid secondary operations like removal of support, cleaning and sanding of the part at support joints.

Configuration

A default Face Angle to Avoid Supports (A) can be configured in the rule.

In addition to the default value, different face angles corresponding to different materials can also be configured in the table.

Only those faces will be reported for support requirement whose face angle (A) is smaller than the configured value.

Additionally, the faces smaller in size can also be ignored from the check by configuring parameter – Ignore faces with maximum edge length. This condition will ignore those faces whose all edges are smaller than the configured length value.

Recommendations

As additive manufacturing methods build the part layer by layer, some designs might require additional support due to the nature of additive manufacturing. Features such as negative drafts, overhangs and undercut features require support in FDM/SLA/3DP. Such features can be avoided wherever possible.

Example


Gap between Faces

Rule

Minimum gap between two faces of the part should be greater or equal to the specified value.

Explanation

For additive manufacturing process, very small gaps between faces lead to difficulties in post processing operations like cleaning etc.

Recommendations

Minimum gap between faces, which are parallel to build direction, should be greater or equal to 0.23 mm. Minimum gap between faces, which are inclined to the build direction, should be greater or equal to 0.4 mm Tolerance for Parallelism is set to 15 degrees. The face would be considered parallel to the build direction if the angle between face plane and build direction is within +/- 15 degrees tolerance. In case the angle is outside tolerance, the face would be considered inclined to build direction.

Note:

The gap will be measured between two faces. If both these faces are parallel to build direction, then only the face pair will be considered as parallel to the build direction. If any of the two faces are not parallel to build direction, then the face pair would be considered inclined to build direction.

Example

Where,

D= Distance between features


Maximum Hole Size

Recommended Hole Size

Rule

Appropriate hole diameter should be maintained in additive manufacturing to achieve good quality and to avoid aesthetic issue.

Explanation

Quality holes can be achieved in additive metal manufacturing by building holes in vertical direction (as shown in figure 1). If holes are built in horizontal direction then extra support would be required (as shown in figure 2).

Figure 1: Hole built in vertical direction

Figure 1: Hole built in horizontal direction

Based on build direction if hole are present on a vertical face then the diameter of holes should not be more than 10mm. Usually, if diameter is more than 10mm then extra support need to be provided.

As the building process reaches the top of the circular cross-section, the surface area on top of which melting occurs decreases resulting in reduced rate of heat transfer. Due to this the resultant burning is observed in this area. As the burned portion is located at the top of the circular cross section, rough surface is formed requiring an additional finish.

Recommendations

  1. If possible, avoid horizontal holes with circular cross-sections. In case of an unavoidable situation, circular geometry of the cross-section should be modified to pear or cone.

  1. If holes are build in horizontal direction, maximum diameter of hole should not be more than 10mm.

Example

Note:

D1 is not associated with build direction

D2 is associated with build direction


Thickness between Faces

Rule

Minimum thickness between two faces of the part should be greater or equal to the specified value.

Explanation

For additive manufacturing process, very small thicknesses between faces lead to weak walls which may collapse or deform during the manufacturing.

Recommendations

Minimum thickness between the faces, which are parallel to the build direction, should be greater or equal to 0.2 mm. Minimum thickness between the faces, which are inclined to the build direction, should be greater or equal to 0.4 mm Tolerance for Parallelism is set to 15 degrees. The face would be considered parallel to the build direction if the angle between face plane and build direction is within +/- 15 degrees tolerance. In case the angle is outside tolerance, the face would be considered as inclined to build direction.

Note:

The thickness will be measured between two faces. If both these faces are parallel to the build direction, then only the face pair will be considered as Parallel to the build direction. If any one of the two faces is not parallel to build direction, then the face pair will be considered as inclined to build direction.

Example

Where,

D= Thickness between faces


Check Contact Material

Rule

Pairs of dissimilar or not allowed material combinations should not be used.

Explanation

This rule identifies contact of assembly components of not allowed material combination. Check contact material is most useful in complex assemblies, where it can be difficult to visually determine components with not allowed material combination.

Recommendations

By default, all components of the assembly are selected for analysis. Generally, it is expected that Pairs of dissimilar or not allowed material combinations should not be used.


Check Preferred Components

Rule

Assembly should contain list of preferred or allowed components configured by user.

Explanation

In most organizations, similar products with different versions or series are produced by way of modification or replacement of components. This is done with a purpose of making the product available with various features at different costs based on market demand.

In such cases, it is important to ensure the presence of preferred and allowed components in the final assembly based on the product or series. Goal is to exclude disallowed components from the final assembly of a particular product version or series. Also, sometimes, materials assigned for disallowed component are deemed obsolete by organizations. Hence, it needs to be ensured that such components are not be shipped with the final assembly.

Configuration

Please add appropriate component type along with preferred, allowed and disallowed components name in rule configuration table depending on the product series or version under analysis.

Example

COMPONENT TYPE | PREFERRED | ALLOWED | DISALLOWED
Control Board | 2A4296-01 | P00013-02 | 900-1234
Gear Box Assembly | 8911-0200 | - | 8911-0100
 |  |  | 8911-0150
 |  |  | 8911-0300
 |  |  | 8911-0400
Cooling System | 5C11-0120 | - | 5C11-0080
 |  |  | 5C11-0090
 |  |  | 5C11-0110
 |  |  | 5C11-0130

As mentioned in the table disallowed components should not be included with assembly, if it is present in selected assembly then it will be shown as a failure and preferred component name will be suggested. If allowed or preferred component are present then analysis will passed for same.


Fastener Accessibility

Rule

To access the fasteners used in assembly, fastener tool height and diameter should be considered and it should equal to a user specified value.

Explanation

In order to achieve best practices in case of Design for Assembly & Disassembly process, it is necessary to ensure sufficient space around the fastener to access the fastening tool for ease of fastening or extraction.

User has to provide following inputs for the rule

Fastener - The name of the fastener to be validated for the rule.

Fastener to be added via fastener database.

User can use Ctrl + I functionality for importing the fastener data.

Configuration

  • This check only requires the fastener database to be updated.

  • Default Fastening Tool diameter (D1) is provided. User can configure as required.

  • Fastening tool height (H) is also provided by default. This check box is deselected by default. User can configure as required.

Example

Where,

D= Fastener Head Diameter

D1= Fastening Tool Diameter

H= Fastener Tool Height

L= Fastener Length


Fastener Clearance

Rule

For a fastener, the axial clearance and/or radial clearance should be greater than or equal to the value specified.

Explanation

User has to provide following inputs for the rule

  1. Fastener - The name of the fastener to be validated for the rule.

    Fastener should be selected from a dropdown list. The drop down list is populated from the fastener database.

  2. Axial Clearance - Expected axial clearance for the fastener.

  3. Radial Clearance - Expected radial clearance for the fastener.

    Note:

    Radial clearance is computed for all components except the last component. It is assumed that the last component (nut / threaded boss) has thread engagement with the fastener.

Configuration

  • Double click in the blank space under Fastener column and select the required fasteners from the dropdown menu one by one

  • Add the standard axial and radial clearance values against each fastener as shown in image.

  • All your required values such as

If D <= 2mm -> B>= 0.2mm

If 2mm<D <= 5mm -> B >= 0.1*D

If D>5mm -> B >= 0.5mm

can be added to the database.

  • Once done, click on OK

Example

Where,

A = Axial Clearance ,

B = Radial Clearance

Excel Input Format

'Ctrl+I' option is available for bulk data input to the rule configuration.

Importing Data Excel data input template for this rule is as below-

F | A | B
Fastener_1 | 1.0 | 2.0
Fastener_2 | 2.0 | 2.5
Fastener_3 | 3.0 | 3.5

Note:

  • Excel should not contain part extensions in fastener name.

  • Fastener name should not contain any space.


Fastener Engagement Length

Rule

Fastener engagement length (axial distance between top of the boss and base of the screw) should be greater than or equal to user specified value.

Explanation

User has to provide following inputs for the rule

  1. Fastener -

    The name of the fastener to be validated for the rule.

  2. Engagement Length -

    Expected engagement length for the fastener

Configuration

  • Double click in the blank space under Fastener column and select the required fasteners from the dropdown menu one by one.

  • Add the standard engagement length values (example: A>3*Pitch) against each fastener as shown in image.

  • Once done, click on OK

The drop down is populated from the fastener database.

Example

A =Fastener Engagement Length

Excel Input Format

'Ctrl+I' option is available for bulk data input to the rule configuration.

Importing Data Excel data input template for this rule is as below-

F | A
Fastener_1 | 1.0
Fastener_2 | 2.0
Fastener_3 | 3.0

Note:

  • Excel should not contain part extensions in fastener name.

  • Fastener name should not contain any space.


Hole Alignment

Rule

Check for alignment of holes.

Explanation

Due consideration needs to be provided for appropriate alignment of holes used for fasteners to avoid problems during assembly.

This rule checks if holes designed in CAD models are aligned appropriately with other holes in mating components. Also, the user can check for the blocked holes and unused holes.

Only holes opening out on external surfaces are considered for checking alignment. Accessibility condition is not checked..

Holes having diameters within 50% of each other are considered for alignment check.

User can also check the hole alignment rule for the parts, assembled together and having some clearance in between them. For this case, user is required to input the value for ‘gap between parts’.

Recommendations

Design holes taking into account their position and location in the assembly in relation to the surrounding components.

Configuration

Hole Alignment rule can be used to check the following three conditions-

  • Misaligned Holes (Selected by default):

A pair of holes on parallel axes having axial misalignment. Only cases with holes having partial or complete overlap are considered. This rule checks for alignment of holes that belong to two different parts.

  • Blocked Holes (Default de-selected):

Will check for holes on a component blinded by a surface on another component.

  • Unused Holes (Default de-selected):

Will check for through holes on a component that are open to air.

Note:

G which previously denoted 'gap between parts' has been enhanced to 'distance between two faces on which holes are present'.

Example

Where,

A = Axial Misalignment Case

B = Blocked Hole Case

C = Unused Hole Case

G = Gap Between Parts

Note:

This rule considers hole size less than or equal to maximum hole size provided with Standard Hole Sizes database for alignment check.


Interference Detection

Rule

To achieve desired functionality and ease of assembly interference between assembly components must be avoided.

Explanation

This rule identifies interference conditions between assembly components, Interference detection is most useful in complex assemblies, where it can be difficult to visually determine whether components interfere with each other.

Recommendations

By default, all components of the assembly are selected for analysis and all quilt surfaces are ignored from interference detection. Generally, it is expected that nominal dimensions of components should not result in interference

Configuration

Interference Detection Rule can be configured in two ways:

  1. Check for All Components

Selected by default. Interference condition will be checked for all pairs of components in an assembly.

  2. Check for Selected Components

De-selected by default. Interference condition will be checked between selected pairs of components in an assembly.

Adding components under columns Component 1 and Component 2:

  1. Manually type in the component names.

  2. Right mouse click and browse to the file location. Perform this twice for component 1 and component 2.

  3. Press Ctrl + I on keyboard to import an MS Excel FILE. This Excel file will contain two columns with component names added in each column. Importing the excel file will automatically import the data into the rule manager (see example below)

Input format for interference analysis of specific components.

Input | Interpretation
ABC | ABC.prt or abc.prt.1 or aBc.prt.4 – latest version used in the assembly being checked will be used.
ABC.asm | A suffix ".asm" to be added for the assembly being checked
*ABC* | parts having abc or ABC in their names
* | All parts
*_M32 | All parts ending with _M32
*_pcb_*.asm | All sub-assemblies having _pcb_ in their names

NOTE:

File names are not case sensitive.

Ignored Components

List of components which can be ignored during interference detection validation.

Adding components under Components columns

  1. Manually type in the component names.

  2. Right click and browse to the file location & select the part or assembly name.

  3. Press Ctrl + I on keyboard to import an MS Excel FILE. This Excel file will contain a column with component names added in each row. Importing the excel file will automatically import the data into the rule manager (see example below)

Gear_prt

Gear_prt

Rod_new

Plate

Input format for ignored interference analysis

Input | Interpretation
ABC | ABC.prt or abc.prt.1 or aBc.prt.4 – latest version used in the assembly being checked will be used.
ABC.asm | A suffix ".asm" to be added for the assembly being checked
*ABC* | parts having abc or ABC in their names
*_M32 | All parts ending with _M32
*_pcb_*.asm | All sub-assemblies having _pcb_ in their names

Additional Options

Option | Default State | Function
Ignore Quilt Surfaces | Selected | It will ignore all surface components/quilt surfaces of the assembly file
Ignore Threaded Region | Not selected | Ignore interference results in the threaded region. Results outside the region will be reported.
Ignore Interference Volume | Not selected | Interference volume which is less than configured value will be ignored.

Interference between the following part types will be checked

1. Solid to Solid

2. Part to sub-assembly

3. Sub-assembly to sub-assembly

Example


Minimum Clearance between Components

Rule

Minimum clearance between any two components in the assembly should be greater than or equal to the user specified value.

Explanation

Clearance between the following types can be checked:

1. part to part

2. part to sub-assembly

3. sub-assembly to sub-assembly

Configuration

Minimum Clearance between components Rule can be configured in two ways:

  1. Check Default Clearance

Selected by default. The input clearance value is checked between all the pairs of parts in an assembly.

  2. Check minimum clearance between selected pairs

De-selected by default. Clearance will be checked between selected pairs of components in an assembly.

Adding components under Component 1 and Component 2:

  • Manually type in the component names

  • Right mouse click and browse to the file location. Perform this twice for component 1 and component 2

  • Press Ctrl+I on keyboard to import an MS Excel file. This Excel file will contain three columns with component names added in first two columns and clearance value in third column. Importing the excel file will automatically import the data into the rule manager (see example below)

Input | Interpretation
ABC | ABC.prt or abc.prt.1 or aBc.prt.4 – latest version used in the assembly being checked will be used
*ABC* | parts having abc or ABC in their names
* | All parts
*_M32 | All parts ending with _M32
*_pcb_*.asm | All sub-assemblies having _pcb_ in their names

NOTE:

file names are not case sensitive.

Ignore Mating Components: Select this check-box to ignore mating components for validation.

Ignore Surface Bodies (Quilts): Select this check-box to ignore surface bodies for validation.

Ignore Interfering Components: Select this check-box to ignore interfering components for validation.

Example

Where,

c = Clearance between components


Recommended Thread Connection

Rule

The threads on male (external) and female (internal) sides of a threaded connection should be of compatible types/forms.

Explanation

This rule checks whether the threads on male and female sides of a threaded connection are compatible. It is recommended to use only the compatible thread types/forms on male and female sides of a threaded connection to avoid issues like improper connection, cracks, stress ruptures etc. during functioning.

Recommendations

It is recommended to use parallel to parallel and tapered to tapered threads in connections.

Configuration

Specify male thread and corresponding compatible female thread in the rule table. Use thread feature type name from CAD to configure in the table. e.g. Threaded Holes, Cosmetic/Symbolic Threads etc.

Note:

This rule will support for native thread features.

Example:

Rule will work on:

  • It is a Native part (CAD part). It will not support Step, IGES etc files.

  • It will also support both standard and symbolic threads as explained below.

Following information gives details about how this rule will be executed and which thread types are supported.

  1. The names of the standards should exactly correspond to the names used in the thread defining features of the respective CAD system. See the example in below images for thread standards used in Threaded Hole and Symbolic Thread features in NX and ProE/Creo-

  2. More than one standards compatible with each other can be specified by mentioning their names with comma separation (as shown below)

  3. The check will identify all the thread features (threaded holes, cosmetic threads etc.) in a component (male and female both)


Slot to Hole Alignment

Rule

For ease of assembly hole should be collinear and at the center of a slot.

Explanation

Hole should be collinear and be at the center of a slot. Hole to slot positioning is a position of the slot with respect to the hole with the adjacent part. This should measure the slot position center to the thread hole. Currently, slot and hole pairs having slot width within 140% of hole diameter are considered for alignment check.

Cases like misaligned screws with improper fit and other minor misalignment often lead to thread damage.

Configuration

DFMPro identifies hole and slot and validate alignment between hole and slot.

Recommendations

For ease of assembly hole should be collinear and at the center of a slot.

Example

Where,

D= Allowed misalignment in slot and hole tolerance

PASS CASES: IF HOLES ARE SYMMETRIC TO CENTRE AXIS OF SLOT

Note:

This rule considers hole size less than or equal to maximum hole size provided with Standard Hole Sizes database for Slot to Hole Alignment check.


Minimum Draft Angle

Rule

Minimum draft angle should be provided on component walls along the direction of draw will help to easily withdraw the parts from core & cavity.

Explanation

Draft is the slope or the taper incorporated on the side walls of the cast part. Draft enables the casting/pattern to be easily removed from the mold. Adding proper drafts on the cast parts improves cycle time and quality of the surfaces.

Recommendation

Generally a draft angle of 0.5 degrees recommended for core and 3 degrees for cavity.

Example

Where,

Q1 = Core Draft Angle

Q2 = Cavity Draft Angle


Mold Wall Thickness

Rule

The mold wall thickness (or ratio to nominal wall thickness) should be greater than user specified value.

Explanation

Mold wall thickness gets affected due to spacing between various features in the casting model. If features like ribs, bosses are placed close to each other or the walls of the parts, thin areas are created which can be hard to cool and can affect quality. If the mold wall is too thin, it is also difficult to manufacture and can also result in a lower life for the mold due to problems like hot blade creation and differential cooling.

Recommendations

Minimum allowable mold wall thickness needs to be decided based on process and material considerations. However it is normal to have clearances of 1mm between features of an casting part thus allowing a mold wall of that dimension.

Configuration

Use absolute value of mold wall thickness or its ratio with the nominal wall thickness of the part to configure this rule.

Example

Where,

D= Distance between features

t = Nominal Wall Thickness


Undercut Detection

Rule

Undercuts should be avoided for ease of manufacturing.

Explanation

Undercuts typically require additional mechanisms just adding to mold cost and complexity. In addition, the part must have room to flex and deform.

Recommendations

Undercuts on a part should generally be avoided. Clever part design or minor design concessions often can eliminate complex mechanisms for undercuts.

Example


Uniform Wall Thickness

Rule

The base wall thickness in the part should be within the user specified range.

Explanation

Uniform wall thickness helps create high quality cast parts. Sudden geometry changes and unnecessary variations in wall thickness affect metal flow. This can result in air enclosures in the castings and also lead to poor surface finish.

Example

Note:

User can select the materials in the table for Material thickness from the drop down list. The drop down list is populated using the plastic materials in the Materials database.


Wall Thickness Variation

Rule

The wall thickness variation in the part with respect to the nominal wall should be within the user specified range.

Explanation

Wall thickness variation should be within tolerance so as to allow for smooth filling of the mold. Ideally, the wall thickness should be uniform throughout the part (equal to the nominal wall thickness). In reality, the variation is unavoidable due to requirements of functions and aesthetics. However, the amount of variation has to be minimized. Thickness variations in a casting part result in differing rates of cooling, shrinkage, warping and distortion.

Recommendations

As a general guide, wall thickness in a part should not deviate more than 25% from the nominal wall.

Example


Ply Balancing

Rule

The arrangement of ply within zone boundary should be as per value configured in table.

Explanation

This check is to verify that composite laminates are balanced designed about laminate mid plane. This will preclude warping during cure or de-molding processes and will avoid bending, stretching, twisting, coupling during loading.

Configuration

The check shall execute against each laminate defined in the fibersim metadata stored within the *.prt file. DFMPro uses this data & validates the checks.

DFMPro computes the percentage of ply of a specified orientation comparing it to a user configured value of minimum and maximum percentage for specified orientation.

Recommendations

As a general guideline, the sequence of plies should be appropriately balanced about mid plane.

Example

Note:

  • As the overall thickness of a woven fibre ply is twice as that of a uni-fibre ply thus calculation of percentage of occurrences of woven fibre plies are considered twice.

The DFMPro failure message displays the total number of plies as the actual count of plies.

  • This rule can be successfully executed on NX 10.0 and above versions. Composite model information required from Fibersim data in the form of .xml file (identical to .prt file name) should be present at the part location.

  • Ignore functionality will be supported once multi-zone functionality is available in the rule.


Ply Sequencing

Rule

The arrangement of ply within zone boundary should be as per value configured in table.

Explanation

This check is to verify that composite laminates are designed such that constituent plies are sequenced to facilitate manufacturing with minimal warpage or distortion which may result from unbalanced or asymmetric plies during cure or de-molding processes. Additionally, ply adjacency is further verified to minimize fiber disruption.

Configuration

The check shall execute against each laminate defined in the Fibersim metadata stored within the *.prt file. DFMPro use this data & validate the checks.

Recommendations

As a general guideline, the sequence of plies should be appropriate and well defined to avoid ply distortion and warpage.

Example

For Ply Symmetry :

For Ply Orientation Band Check :

For Ply Adjacency Check :

For Exterior Ply Orientation :

Note:

  • This rule can be successfully executed on NX 10.0 and above versions. Composite model information required from Fibersim data in the form of .xml file (identical to .prt file name) should be present at the part location.

  • Ignore functionality will be supported once multi-zone functionality is available in the rule.


Minimum Draft Angle

Minimum Draft Angle-Based on Formula

Rule

Draft angle for die casting is depends on the length of the face along the draw direction, type of face (external or internal) and material selected.

Explanation

Ensure minimum draft angle on component faces along the draw direction to ease the withdrawal of pattern or component from the mould. Draft angle on component faces varies based on face length, material selected and tightness of draft tolerance required for the die-casting process. Adequate draft angle will make it easier for the ejector pins to push the casting out of the cavity.

Configuration

Recommended value for minimum draft angles for various materials are provided courtesy of NADCA.

Recommendations

Draft angle based on face length for the component should be greater than or equal to the recommended value.

NOTE:

Recommended value for minimum draft angles for various materials are provided courtesy of NADCA. More details can be found in the NADCA Product Specification Standards for Die Castings, 2009 7th Edition

Example

External Face Length (L1), Draft Angle (A1)

Internal Face Length (L2), Draft Angle (A2)

Note:

Displayed values of draft constant C for metric unit system are based on the values provided for ‘mm’ in the NADCA handbook and for British unit system, it is based on the value provided for ‘inch’.


Deep Holes

Rule

Deep, small diameter holes are difficult to machine, so creating such deep holes should be avoided.

Explanation

  • Small diameter drills tend to wander and are prone to breakage, therefore, they are not recommended for convenient mass production.

  • Chip removal becomes difficult while drilling deep holes.

  • A deep narrow hole causes tool deflection and is susceptible to breakage, which increases the tooling cost.

  • A deep hole requires special operation gun-drilling which will increase the machining cost.

Recommendations

  • Avoid deep narrow holes

  • Increase hole diameter

  • Use bored hole if possible

  • As a general guideline, hole depth to its diameter ratio should not exceed 8.0. In some cases depending on part & tool material it is preferred to keep this ratio as low as 3.0.

Configuration

DFMProidentifies deep holes by checking their aspect ratio against a given configurable value. Aspect ratio is defined as the ratio of the hole depth to its diameter.

Additionally, users can select ratio based on specific materials. The material list is populated using machining materials from the Materials database.

When the rule is executed, any material from the displayed list of machining materials can be selected for the part using the "Input Selection" window.

In case the maximum depth to diameter ratio is not configured for the selected material, then the 'Default' value will be used for analyzing the part.

Example

Where,

d = Hole diameter

h = Hole depth

Note

  • Drill tools are configured in database and user can view drill diameter by editing standard hole sizes in the Rule Manager.

  • Maximum drill tool diameter consideration for the analysis is based on the Unit Selection option selected in standard hole sizes rule configuration.


Entry/Exit Surface for Holes

Rule

Drills should enter and exit surfaces that are perpendicular to the center line of the hole.

Explanation

  • When the drill tip contacts the surface, the tip will wander if the surface is not perpendicular to the drill axis.

  • Uneven exit burrs around the circumference of the exit hole will make burr removal difficult.

  • If the drill entry face is perpendicular to the center line, then proper placement of holes will be ensured. If drill exit face is perpendicular to center line, then drill tool breakage problems can be avoided as the drill leaves the work.

Recommendations

  • Avoid creating hole features with start and end faces that are not perpendicular to its center line.

  • Alternate design

Configuration

For each hole, this rule checks the hole start and end faces ( for through holes), so configuration information is not required.

Note:

In rule configuration, user would be able to provide allowable angular deviation (i.e. angle between drill axis and normal drill entry or exit face). By default, this check box is disabled based on customer standards, user can add value.

Example

Drill Entry Angle: Angle Between Drill Axis and Normal at Drill Entry face. Angle is computed at center point of Drill.

Drill Exit Angle: Angle Between Drill Axis and Normal at Drill Entry face. Angle is computed at center point of Drill.

Note

  • Drill tools are configured in database and user can view drill diameter by editing standard hole sizes rule in the Rule Manager.

  • Maximum drill tool diameter consideration for the analysis is based on the Unit Selection option selected in standard hole sizes rule configuration.


Flat Bottom Holes

Rule

Blind holes should not have a flat bottom.

Explanation

  • Flat bottomed holes cause problems with subsequent operations (for example: reaming).

  • Flat bottomed holes require advanced machining operations.

Recommendations

  • Avoid creating blind holes with flat bottom, specially when hole diameters are smaller in size.

  • Use standard twist drill to create a hole with a conical bottom.

  • The recommended drill cutting angle for different materials is shown below.

Soft and Ductile

Split(reduce thrust & self Centering-NC)

High alloyed steels

Configuration

This rule checks whether the drill hole bottom is conical or not, so configuration information is not required.

Example

Note:

Drill tools are configured in database and user can view drill diameter by editing standard hole sizes rule in the Rule Manager.

Maximum drill tool diameter consideration for the analysis is based on the 'Unit Selection' option selected in standard hole sizes rule configuration.


Holes Intersecting Cavities

Rule

Designing drill holes that intersect a cavity either partially or fully should be avoided.

Explanation

The drill follows the path of least resistance when it intersects a cavity during machining. There is a good chance that the drill will wander when it re-enters material. Also, if the drill intersects another opening on one side, some deflection will occur. It is important that the center point of the drill remains in the material throughout the cut to avoid extreme deflection and possible drill breakage.

Recommendations

  • Holes should not intersect a cavity.

  • If an intersection is unavoidable, at a minimum, the center line of the hole should be outside the cavity.

Configuration

This rule checks whether drill holes intersect with the cavity or not, so configuration information is not required.

Example

Note:

Drill tools are configured in database and user can view drill diameter by editing standard hole sizes rule in the Rule Manager.

Maximum drill tool diameter consideration for the analysis is basied on the 'Unit Selection' option selected in standard hole sizes configuration


Partial Holes

Rule

When a hole intersects with the side of a feature, at least 75% of the area of the hole should be within the material.

Explanation

When the hole is being drilled, there is a good chance that the drill will wander if a large portion of the hole is outside the material. This will affect the part quality. The chances of drill tool bit breakage would also be always high.

The problem becomes more severe when the axis of the hole is on or near the edge of the material.

Recommendations

  • Avoid creating holes on part edges.

  • In case creating holes on part edges is unavoidable, then ensure the positioning of 75 % portion of the hole within the part.

Configuration

This rule can be configured to specify the % portion/area of hole to be within the material.

Example

Area Coverage is calculated as per wrap angle of Hole :

Note:

Drill tools are configured in database and user can view drill diameter by editing standard hole sizes rule in the Rule Manager.

Maximum drill tool diameter consideration for the analysis is based on the 'Unit Selection' option selected in standard hole sizes rule configuration.


Recommended Tolerances for Holes

Rule

Hole tolerances should be as per recommended defaults for ease of manufacturing.

Explanation

Tight tolerances increase manufacturing cost and lower productivity. Tolerances which will improve manufacturing efficiency and are also functionally acceptable should be specified.

Configuration

DFMPro identifies the respective holes from the CAD model, reads the associated dimensional/geometric tolerances and validates the same against the configured value.

The default configured values can be edited. Tolerances configuration is as per respective hole diameter ranges for size tolerances. For diameter values between ranges, the nearest value is considered. + or - sign has to be specified for tolerance. If not specified. + is assumed.

Accuracy possible for positional tolerances depends on the method used for location which could be manual, using drill fixtures, CNC machining with fixtures or precision orientation, jig boring, etc. The default values of the recommended positional tolerance assumes precision milling or CNC machine with fixture.

Rule should pass for exact tolerance value which matches with DFMPro recommendation value.

Note :

DFMPro considers 6 decimal place values for comparison.

Recommendations

Tolerances which are too tight lead to higher cost and lower productivity. Parts with right tolerances have excellent fit and function along with improved manufacturing efficiency.

Recommended size tolerances for holes depend on the hole diameter and increase as hole size increases. The default configuration show standard tolerances and apply in all cases except where functional requirements dictate higher or lesser accuracy.

Example

Note:

Tolerance given in CAD Model are not visible in E drawing report.


Standard Hole Sizes

Rule

It is best to use standard drill sizes whenever possible to avoid the added cost of a special drill tool.

Explanation

Unusual hole sizes increase the cost of manufacturing through purchasing and inventory costs of special drill tools.

Also, use of standard holes assists in choosing accessories of standard sizes which in turn minimizes the variants.

To check standard hole sizes, holes in the CAD Model are compared against drill sizes in the database. If a hole diameter is not found, the hole is reported as a non-standard hole.

Recommendation

It is recommended to create hole sizes on part as per the standard drill sizes available for manufacturing.

Configuration

By default a database of standard hole sizes that includes standard drill sizes are configured with rule. If user edits the rule in the Rule Manager, the Standard Hole Sizes configuration window is displayed.

Example

Available Options

  • Use the Display option to display values in Metric table or Inch tables.

  • Select All sizes (drill, clearance drills, tab drills) or the subset of Drill sizes to be used when validating holes.

  • Drill sizes option is selected by default.

  • Add new sizes / remove existing sizes in the database.

  • Customize the application to access user's proprietary database.

Unit Selection

  • Select Metric to consider only metric drills while validating hole sizes.

  • Select Inch to consider only inch drills while validating hole sizes.

  • Select Use Both Units to consider metric and inch drills while validating hole sizes. If the drill diameter unit differs from its hole diameter unit, then the drill size is converted into document units for comparison

Note :

Recommended nearest value will be shown in one unit ( as per parts unit) based on combined list of metric and inch drills available in the table.

  • Select Use Document Units to consider drills based on document units while validating hole sizes. For instance, consider only inch drills for a document having English (inch or feet) units. This is the default selection.

Drilled Hole Vs. Milling Hole

If a hole is greater than the maximum drill diameter specified in the database , then it is treated as a milling feature and drill rules do not apply.

Maximum drill diameter consideration for Metric unit selection is based on highest standard drill size value present in Metric table.

Maximum drill diameter consideration for Inch unit selection is based on highest standard drill size value present in Inch table.

Maximum drill diameter consideration for Use Both Units is based on the highest standard drill size value either present in the Metric or the Inch drills table.

Maximum drill diameter consideration for Use Document Units is based on the document unit either present in the Metric Unit or the Inch Unit drills table.

If the user selects Metric then the default maximum drill diameter will be 45.0 mm and if the user selects the option as Inch then the default maximum drill diameter will be 1.0 Inch.

Note:

User can use Ctrl + I functionality for importing the Drill sizes.

Excel Input Format

'Ctrl+I' option is available for bulk data input to the rule configuration.

Importing Data Excel data input template for this rule is as below-

D

0

1.0

25

Where,

D or d= Standard Hole Sizes

Tolerance (Hole Diameter)
Use this field to specify a custom tolerance when comparing hole and drill sizes. Please use same units for comparison as document units.


Avoid Tapered Threads

Rule

Use of tapered threads should be avoided based on the application area.

Explanation

This rule checks if the tapered threads are used in assemblies/parts. It is recommended to avoid the use of tapered threads in certain components to prevent risks like stress rupture, cracks etc.

Following types of tapered threads are supported:

NPT, BSP-R and BSP-Rc

Configuration

For rule configuration, following options are available:

Check For All Components [Default]

Tapered threads will be checked for all components in the assembly.

Check For Selected Components with Specified Materials

This option can be used to check Tapered threads in components made up of specified materials only.

Note:

This rule will support for native thread features.

Example


Dimensional Precision Check

Rule

Identify dimensional precision higher than user specified decimal place value for angular dimensions.

Explanation

For dimension measurement, if the decimal places in the value are more then it involves tight inspection tolerance and supporting high precision measurement tools.

Also, sometimes it creates difficulties while manufacturing the product.

In order to reduce hardware and inspection cost, dimension value precision should be limited up to zero or one decimal places.

Recommendations

Decimal places in the angular dimension value should be limited up to user specified value.

Example

In case of 'two decimal places'


Fillet Radius

Rule

Minimum and maximum fillet radius should be as per user recommended value.

Explanation

Designer has to avoid sharp corners and rapid change in cross sections. In addition, an inside corner should be designed with a fillet and the outside corner with a radius as much as possible. Reducing sharp inside corners can give additional strength to components and can improve the filling.

Recommendations

Depending upon the manufacturing process, different minimum and maximum fillet radius need to be provided on inside and outside corners of the components.

General guidelines suggest that, minimum fillet radius for inside corner should be greater than or equal to 1.0 mm and maximum fillet radius should be less than or equal to 12 mm. Similarly minimum fillet radius for outside corner should be greater than or equal to 0.25 mm and maximum fillet radius should be less than or equal to 12 mm.

Configuration

The current default configured radius is 1mm.

User can set the fillet radius between 60-120 degrees for an analysis.

Example

R = Radius


Minimum Drill Breakout Wall Thickness

Rule

The minimum drill breakout wall thickness between the drilled hole face and the corresponding wall faces should be greater than or equal to the user specified value.

Explanation

Minimum drill breakout wall thickness needs to be ensured between the drilled hole face and the corresponding wall to avoid breakage during hole drilling.

Recommendations

General guidelines suggest that a minimum drill breakout wall thickness should be greater than or equal to 5 mm

Example

T1 = Minimum drill breakout wall thickness from bottom face.

T2 = Minimum drill breakout wall thickness from side face.

Note:

Holes having diameter greater than the maximum permissible drill size are not considered for this rule.


Minimum Text Size

Rule

Minimum font size (S) of the protruded / depressed text should be greater than or equal or between the specified value.

Explanation

It is difficult to manufacture small size of protruded / depressed text features. Especially, in case of parts produced using additive manufacturing technology.

Recommendations

In case of additive manufacturing process, the minimum font size (S) of the text feature should be greater than or equal to 2mm.

Example

Where,

S = Minimum Font Size

Note:

The protruded / depressed texts created using the text generating features of native CAD modeller are processed for this check. For example, the text created using Text feature of NX.


Minimum Wall Thickness for Boss

Rule

The minimum wall thickness between cylindrical faces of the boss should be greater than or equal to the user specified value.

Explanation

The minimum wall thickness between cylindrical faces of the boss needs to be ensured to avoid breakage during hole drilling.

Recommendations

General guidelines suggest that a minimum wall thickness for boss should be greater than or equal to 5 mm.

Example

Where,

T= Wall Thickness of Boss

Note:

Holes having diameter greater than the maximum permissible drill size are not considered for this rule.


Recommended Counterbore Hole Parameters

Rule

A Counterbore hole with appropriate parameters should be ensured for ease of locating fasteners, pins, etc.

Explanation

A Counterbore hole is usually used when the head of a fastener, such as a hex head or socket head capscrew, is required to be flush with or below the level of a workpiece's surface.

Appropriate Counterbore hole parameters should be ensured for securing any fastener, pins etc.

Recommendations

  • Counterbore hole requirements vary as per its application, selected manufacturing process and type of material used.

  • Users need to select the rule and configure appropriate values for analysis.

Configuration

The rule can be configured to specify allowable Counterbore hole parameters in terms of an absolute value.

Options to configure counterbore hole types.

Option-1 Through Holes: This default option is useful for all manufacturing processes including sheet metal-fabrication.

Option -2 Blind Holes: An additional option available for user to check blind depth (L) of counterbore hole.

User will be able to select both the options at a time for analysis

Example

H = Counterbore Diameter

D = Hole Diameter

Z = Counterbore Depth

L = Blind Hole Depth


Tap Drill Parameters

Rule

Tap drill parameters should be as per the user configured values in the table.

Explanation

Ensuring appropriate tap drill parameters helps to add strength for holding bolts or fasteners and to achieve its desired functionality. Tap drill parameters vary based on the component material (soft and hard materials) and thread size selected based on its application.

Recommendations

For a given thread size tap drill parameters should be as per the value configured in table. It is normally based on tapping application.

Example

Where,

A = Full Thread Length

B = Clearance

C = Tap Drill Diameter

D = Outer Diameter

Note:

Following thread types are not supported in NX8.5

  • Helical Coil Coarse

  • Helical Coil Fine

  • Helical Coil NC

  • Helical Coil NF


Thickness Check

Rule

The wall thickness in the part should be within the user specified range.

Explanation

Based on various applications, walls of a part may need to be between certain specified ranges. Specifically for parts created using processes involving material flow, too thick or thin regions causes manufacturing problems. Even in other manufacturing processes, if the walls of a part are too thin, they are prone to breakage during manufacturing or during operation. Similarly, too thick walls may increase the weight of a part and may need coring. This rule helps check whether the part has too thick or too thin regions .

Configuration

The rule can be configured to specify the minimum allowable thickness and maximum allowable thickness within the part.

Recommendations

Wall thickness requirement of part varies as per its application, manufacturing process selected and type of material used.

Example

Where,

T= Thickness of the region


Thread Relief for Hole

Rule

Thread relief for threaded hole should be as per the user specified value.

Explanation

The thread relief for hole should ensure sufficient clearance to allow for chamfer teeth of the tap, keep the tap from bottoming out in the hole and for any over-travel of spindle.

It also ensures sufficient space for clearing any chips that may accumulate at the bottom of the hole.

Configuration

The rule can be configured to specify allowable thread relief in terms of an absolute range/value or as a multiple of thread pitch.

Recommendations

For a given threaded hole, thread relief should be 3 to 5 times thread pitch.

Example

d1 | Hole Depth
d2 | Thread Depth
e = ( d1-d2) | Thread Relief


Beta-Lifter Release Check

Lifter Release Check

Rule

A sufficient clearance should be maintained to ensure easy slider movement during undercut manufacturing.

Explanation

A sufficient clearance should be maintained between features while designing plastic parts. If features are very close to each other then the mold wall is too thin. It is also difficult to manufacture and can also result in a lower life for the mold. Same way during undercut manufacturing, there are high chances of mold clashing with other features. So to avoid such clashes, and to maintain easy slider movement, a sufficient clearance should be maintained between the features.

Example

Required Gap ( C )

Open Position | Closed Position

Overhang Of Mold (ALPHA)

Where,

A= Thickness of Mold

α= Overhang of the mold

C= Required Gap

Note :

  • Overhang of mold will be taken into consideration, if projection width is less than component width.

  • This rule is for technical feedback purpose, results may vary from case to case.

  • DFMPro analysis will take additional time on selecting this rule.

For any technical feedback on this rule, write to dfmpro.support@hcl.com.


Draft Angle Based on Height

Rule

Draft angles should be provided on the inside and outside of part walls in the direction of draw.

Explanation

Draft angle design is an important factor when designing plastic parts. Such parts may have a greater tendency to shrink onto a core. This creates higher contact pressure on the core surface and increases friction between the core and the part, thus making ejection of the part from the mold difficult. Hence, draft angles should be designed properly to assist in part ejection. This also reduces cycle time and improves productivity. Draft angles should be used on interior or exterior walls of the part along the pulling direction.

Generally, while designing the core and cavity, variation in draft is required for different faces. So appropriate draft should be provided to ensure easy part removal from the mold. Larger draft angles should be used for deep sections, complex configurations, and when an inside core or die section is used, because the part will tend to shrink around it.

Recommendations

As general guide line suggests, angles of 0.5 to 2° per side as recommended for both inside and outside walls.

Example

Where,

H1= Face height of cavity

H2= Face height of core

H3= Face height of side core

Q1= Cavity Daft Angle

Q2= Core Draft Angle

Q3= Side Core Draft Angle

Excel Input Format

'Ctrl+I' option is available for bulk data input to the rule configuration.

Importing Data Excel data input template for this rule is as below-

H1* | H2* | Q1 | Q2 | Q3
0 | 2 | 1.91 | 1.43 | 3.0
2 | 4 | 1.43 | 1.14 | 0.3
4 |  | 1.14 | 0.95 | 0.3

*H1 & H2 are face height range


Hole Depth to Diameter Ratio

Rule

Ratio of hole depth to diameter must be less than the specified value.

Explanation

Design the depth to diameter ratio for the hole such the cross section of the pin adjusts according to the length of the pin. This will allow the pin to withstand melt pressures.

Configuration

DFMPro identifies Hole Diameter (D) and Hole Depth (H) from feature and computes Hole Depth to Diameter Ratio and validates the ratio against the configured value.

User can edit the default configured ratio.

Recommendations

For blind holes, ratio of hole depth to diameter must be less than 2. For through holes, ratio of hole depth to diameter must be less than 4.

Example

Blind Holes:

Through Holes:

Where,

D= Hole Diameter

H= Hole Depth


Maximum Cutout Area

Rule

The ratio of cutout area to nominal wall thickness should be less than a particular user specified value.

Explanation

Large openings in injection molded parts can lower the strength of the part. To reduce or eliminate the weakness either reduce the size of the opening or reinforce the opening using strengthening ribs in the cross section.

Recommendations

Guidelines for maximum cutout area need to be developed based on operating conditions.

Configuration

Please set appropriate value for the ratio of cutout area to nominal wall thickness to customize for the manufacturing and operational setup of your product.

Example

Where,

A = Cutout Area

t = Nominal Wall Thickness


Minimum Draft for Bosses

Rule

Minimum draft on outer surface of the boss (OD) and cored hole (ID) of the boss should be greater than or equal to the specified value.

Explanation

Minimum draft angle needs to be ensured on outer diameter of the boss feature for ease of part ejection from the mold.

In some cases,a minimum draft angle required on cored holes in boss feature for proper engagement with a fasteners and other mating hardware's.

Configuration

DFMPro identifies boss feature and checks draft angle on outer surface of the boss (OD) and also on cored hole (ID) of the boss. This draft values then validate against a configured values. User can edit the default configured values.

Recommendations

As a general guideline, minimum draft on outer surface (OD) of the boss should be greater than or equal to 0.5 degree. Also minimum draft on the cored hole (ID) in boss should be greater than or equal to 0.25 degree.

Example

Where,

t= Nominal Wall Thickness

Q1= Minimum Draft for Boss ID

Q2= Minimum Draft for Boss OD


Minimum Draft Angle

Rule

Draft angles should be provided on the inside and outside of part walls in the direction of draw.

Explanation

Draft angle design is an important factor when designing plastic parts. Such parts may have a greater tendency to shrink onto a core. This creates higher contact pressure on the core surface and increases friction between the core and the part, thus making ejection of the part from the mold difficult. Hence, draft angles should be designed properly to assist in part ejection. This also reduces cycle time and improves productivity. Draft angles should be used on interior or exterior walls of the part along the pulling direction.

Recommendations

Generally, a draft angle of 0.5 degrees is recommended for core, 5 degrees for cavity and 0.25 degrees for side core.

Example

Where,

Q1= Core Draft Angle

Q2= Cavity Draft Angle

Q3= Side Core Draft Angle


Minimum Radius at Base of Boss

Rule

The minimum radius at the base of a boss should be at least user as per specified value.

Explanation

Bosses find use in many part designs as points for attachment and assembly. The most common variety consists of cylindrical projections with holes designed to receive screws, threaded inserts, or other types of fastening hardware. Under service conditions, bosses are often subjected to loadings not encountered in other sections of a component. A fillet of a certain minimum radius value should be provided at the base of boss to reduce stress. Also, the radius at the base of boss should not exceed a maximum value to avoid thick sections.

Configuration

DFMPro identifies fillet radius at base of boss and computes radius to nominal wall thickness ratio and validates the ratio against the configured value.

User can edit the default configured ratio.

Recommendations

As a general guideline, minimum recommended base radius of boss should be greater than or equal to 0.25 times the nominal wall thickness.

Example

Where,

R= Base Radius of Boss,

t= Nominal Wall Thickness,


Minimum Radius at Base of Rib

Rule

Minimum value of the fillet radius at the base of ribs must be greater than the specified value.

Explanation

A fillet of a certain minimum radius value should be provided at the base of a rib to reduce stress. However, the radius should not be so large that it results in thick sections.

Recommendations

Fillet radius at the base of ribs should be between 0.25 to 0.5 times the nominal wall thickness of the part. Minimum value of the fillet radius must be greater than or equal to 0.381 mm (0.015 in).

Example

Where,

R= Rib Base Radius

t= Nominal Wall Thickness


Minimum Radius at Tip of Boss

Rule

The minimum radius at the tip of a boss should be at least as per specified value.

Explanation

Bosses are features added to the nominal wall thickness of the component and are usually used to facilitate mechanical assembly. Under service conditions, bosses are often subjected to loadings not encountered in other sections of a component. A fillet of a certain minimum radius value should be provided at the tip of boss to reduce stress.

Configuration

DFMPro identifies fillet radius at tip of boss and validates against the configured value.

User can edit the default configured value.

Recommendations

As a general guideline, minimum recommended tip radius of boss should be greater than or equal to 0.2 mm.

Example

Where,

R= Tip Radius of Boss

Note:

Boss having chamfer on top will pass.


Mold Wall Thickness

Rule

The mold wall thickness (or ratio to nominal wall thickness) should be greater than user specified value.

Explanation

Mold wall thickness gets affected due to spacing between various features in the plastic model. If features like ribs, bosses are placed close to each other or the walls of the parts, thin areas are created which can be hard to cool and can affect quality. If the mold wall is too thin, it is also difficult to manufacture and can also result in a lower life for the mold due to problems like hot blade creation and differential cooling.

Recommendations

Minimum allowable mold wall thickness needs to be decided based on process and material considerations. However it is normal to have clearances of one mm between features of an injection molded plastic part thus allowing a mold wall of that dimension.

Configuration

Use absolute value of mold wall thickness or its ratio with the nominal wall thickness of the part to configure this rule.

Example

Where,

D= Distance between two features

t= Nominal Wall Thickness


Recommended Boss Parameters

Rule

Parameters associated with bosses such as boss outer diameter to inner diameter ratio, height to outer diameter ratio and height to nominal wall thickness ratio should be as per the specified value.

Explanation

When it comes to maintaining an ideal height of the boss, it is critical to understand that a tall boss designed with an appropriate draft will result in a thick section at the base. This affects the cooling resulting in voids and sink marks. A tall boss results in a deep cored hole which will require a long core pin. This can also affect the cooling of the core pin and dimensional accuracy of the hole.

As far as the outer diameter to inner diameter ratio is concerned , it is imperative to ensure that bosses have sufficient strength to sustain during loading. Hence, the outer diameter to inner diameter ratio has to be as per standards to avoid weak but strong bosses.

Configuration

DFMPro identifies boss features, checks the height to outer diameter ratio, height to nominal wall thickness ratio and validates it against configured value. Similarly, DFMPro also computes the outer and inner diameter of the bosses and validates the ratio value against a configured value.

User can edit the default configured ratio.

Recommendation

For Boss Outer Diameter to Inner Diameter ratio, the ratio value should be less than or equal to 2.0.

For Boss Height to Outer Diameter ratio, the ratio value should be less than or equal to 3.0.

For Boss Height to Nominal Wall Thickness ratio, the ratio value should be less than or equal to 5.0.

Example

Where,

D1= Inner Diameter

D2= Outer Diameter

H= Boss Height

t= Nominal Wall Thickness


Recommended Pin Diameter

Rule

Pin diameter for particular height should be maintained within the user-specified range.

Explanation

An appropriate pin diameter and height should be maintained to achieve adequate strength.

Too tall pins easily bend or crack. Thick and tall pins can cause sink marks and filling problem.

Configuration

Users can select materials in the table for Material from the drop-down list. The drop-down list is populated using the plastic materials in the Material database.

When DFMPro is executed, the user should select the material for part in the “Input Selection” window. The user can select any ‘Material Grade’ under configured ‘Material Group’.

Recommendation

As a general guideline, Recommended Pin Diameter should be 0.5 mm for pin height 10. However, it may vary from material to material.

Example

Where,

D= Pin Diameter

H= Pin Height

Excel Input Format

'Ctrl+I' option is available for bulk data input to the rule configuration

Importing Data Excel data input template for this rule is as below-

H1 | H2 | D1 | D2
0 | 10 | 0.5 | 1.5
10 | 20 | 1.0 | 2.0


Recommended Rib Parameters

Rule

Rib Parameters must be as per recommendations for ease of manufacturing and obtaining desired part quality.

Explanation

On a plastic part, ribs are added as protrusions along the length. Ribs can serve a number of purposes. They can add strength to a part or act as a decorative feature to a part design. Ribs can stiffen and strengthen the molded part while maintaining a minimum wall thickness. A rib can also minimize warping in a part.

However, projections like ribs can create cavity filling, venting, and ejection problems. These problems become more troublesome for taller ribs. Ribs need to be designed in correct proportion to avoid defects such as short shots and provide the required strength. Thick and deep ribs can cause sink marks and filling problems respectively. Deep ribs can also lead to ejection problems. If ribs are too long , supporting ribs may be required. It is better to use a number of smaller ribs instead of one large rib (which can lead to voids or sink marks).

Now, rule will only check the Rib thickness to wall thickness ratio and Rib height to wall thickness ratio.

Recommendations

Generally, rib height is recommended to be not more than three time nominal wall thickness. Similarly, rib thickness at its base should be around 0.6 times nominal wall thickness.

Example

Where,

H = Height of the Rib

t = Nominal Wall Thickness

T = Thickness at base of the Rib


Recommended Molding Tolerances

Rule

Tolerances for plastic molded parts should be as per recommended defaults for ease of manufacturing.

Explanation

Molding tolerances differ from tolerances applicable for machining (drilling, milling, turning …) and fabrication features.

As tolerances get tighter, expensive and time consuming processes are required to manufacture the parts though the attained surface finish will be of higher quality. Standard tolerances are recommended unless mandated by design to address specific functional requirements, for example, related to aesthetics or fits (assembly specifications) or other similar requirements.

For plastic molding, it is not possible to take tolerances from ISO basic tolerances since they are correlated with the nominal dimensions on the basis of other principles.

Dimensional variations cannot be avoided in molding of plastics. They occur due to –

· Dispersion in processing results – This depends on

    • Uniformity of molding material
    • Machine setting
    • Mold temperature
    • Mold deformation under pressure

· Mold Condition – This depends on

    • Mold dimensions considering it’s manufacturing tolerances
    • Mold wear
    • Positional variations in movable mold parts

Configuration

DFMPro identifies the respective mold dimensions from the CAD model, reads the associated dimensional/geometric tolerances and validates the same against the configured value.

Only if a dimension in the plastic part has tolerance specified, the tolerance will be checked against the recommended value from the table corresponding to the material, dimension and location of the dimension.

The default configured values can be edited. Tolerance configuration is as follows

  • Dimensions related to the mold (A) – Dimensions between entities on the same part of the mold (e.g.: rib thickness, completely in core).

  • Dimensions not related to the mold (B) – Dimensions between entities on different (movable) parts of the mold (eg: wall thickness, formed by core and cavity surface). The tolerances in this case are higher than the former case because closing positions of moving parts may slightly vary each time. Only normal tolerances are allowed by default – users can override where required. Special and Precision tolerances are not supported in the default configuration, however they can be configured by overriding existing values.

Recommendations

Tolerances which are too tight lead to higher cost and lower productivity. Parts with right tolerances have excellent fit and function along with improved manufacturing efficiency.

Recommended molding tolerances for plastic parts depend on material, dimension and location. The default configurations show standard tolerances and apply in all cases except where functional requirements dictate higher or lesser accuracy.

Example

Note:

  • Tolerance given in CAD Model are not visible in E drawing report.

  • The configured tolerance values in the rule manager are to be specified in the form of a tolerance range. For example, if the recommended tolerance is +/- 0.08, add 0.16 in the table


Rib Reinforcement Check

Rule

The rib profile measured in terms of ratio of height,width or cross sectional area of the rib to the part thickness should be less than a user specified value. If this guideline is being violated, the rib must be reinforced by supporting ribs.

Explanation

Ribs are longitudinal protrusions on a plastic part that may be used for a number of purposes. They may be used to add strength to a part or to add a decorative feature to a part design.

If a rib is too wide or tall when compared to the rib thickness, the structural integrity of the rib can get affected. If such a rib is going to experience high loads, supporting ribs need to be added.

Recommendations

As a general guideline, rib height is limited to three times thickness based on various considerations. Guidelines for rib width (and cross sectional area) need to be developed based on operating conditions.

Configuration

For free standing ribs, the height is measured normal to support surfaces. In case the support face normal is varying or the rib is supported in multiple directions, the pulling direction is considered for measuring height. The rib area measured will be an approximate value.

Please set appropriate values for the height and area ratios to customize for the manufacturing and operational setup of your product.

Now, rule will only check the Rib area to wall thickness ratio and Rib height to wall thickness ratio.

Example

Where,

H = Height of the Rib,

t = Nominal Wall Thickness,

W= Width of the Rib

A= Cross-sectional area


Spacing between Cutouts

Rule

A sufficient distance should be maintain between cutouts to avoid weld lines.

Explanation

Adequate spacing between cutouts need to maintain to avoid “knit” or “weld” lines adjacent to the cutouts. Even flashing also may occur at the edge of the cutouts.

Configuration

DFMPro identifies distance between cutouts and computes distance to thickness ratio and validate against a configured ratio.

User can edit the default configured ratio.

Recommendations

As a general guideline, minimum recommended distance between cutouts should be greater than or equal to two times the nominal wall thickness of part.

Example

Where,

D= Distance between Cutouts

t= Nominal Wall Thickness


Sudden Wall Thickness Variation

Rule

The value of wall thickness gradient (dT/dL) should be less than the specified value.

Explanation

Sudden variations and abrupt changes in wall thickness of component leads to improper material flow, non-uniform material distribution and uneven cooling during Injection Molding process.

Configuration

The rule can be configured to specify the maximum allowable thickness gradient within the part.

Recommendations

The suggested value for maximum wall thickness gradient (dT/dL) is 0.33, but is subject to change based on other considerations like type of material etc.

Example

Where,

Gradient = dT/dL = | (T2-T1)/dL |


Thickness at Tip of Rib

Rule

The thickness at tip of rib should be as per user-specified value.

Explanation

Plastic component design require appropriate draft angles for ease of part ejection. Draft angel is also applicable for rib features.

For rib feature, top face is at a stationary position for the purpose of applying draft representing thickness at the tip of rib.

The thickness consideration at the tip of rib feature is required when rib is present on non-planar surfaces. If a rib is too tall with extreme small thickness then the structural integrity of rib would be affected. If such rib is anticipated to experience high load, supporting ribs need to be added. To optimize the rib design, appropriate rib thickness and height should be maintained.

Configuration

DFMPro identifies ribs and checks the minimum thickness at the tip of rib against a configured value.

Recommendations

Generally, minimum 0.8 mm thickness should be maintained at tip of rib. However, it may vary with respect to rib height.

Example

Where,

T = Thickness at Tip of Rib


Uniform Wall Thickness

Rule

The base wall thickness in the part should be within the user specified range.

Explanation

It is not easy to generalize what the wall thickness of a part should be. The wall plays a part both in design concept and embodiment. The wall must be thick enough to do its job; it must be strong enough or stiff enough or cheap enough. However, in certain manufacturing process like injection molding, it must also be thin enough to cool quickly and thick enough to allow efficient mould filling. If the material is inherently strong or stiff the wall can be thinner.

Depending on the product design & manufacturing process, for each type of material there should be different uniform wall thickness required and user should be able to set the appropriate value based on their manufacturing process.

Recommendations

As a general guide, wall thicknesses for reinforced materials should be 0.75 mm to 3 mm and those for unfilled materials should be 0.5 mm to 5 mm.

Recommendations based on material selected for the product design & manufacturing process should be selected from the Rule Configuration window.

Configuration

Please select or set appropriate value for nominal wall thickness of the part depending on manufacturing and operational setup of your product.

Users can select the materials in the table for Material thickness from the drop down list. The drop down list is populated using the plastic materials in the Material database.

When DFMPro is executed, the user should select the material for the part in the “Input Selection” window. User can select any ‘Material Grade’ under the configured ‘Material Group’.

Note:

Working range for nominal wall thickness of various thermoplastic and thermoset molding materials is provided courtesy of the Society of Manufacturing Engineers, Tool & Manufacturing Engineers Handbook, Volume 8, Plastic Part Manufacturing

Example


Wall Thickness Variation

Rule

The wall thickness variation in the part with respect to the nominal wall should be within the user specified range.

Explanation

Wall thickness variation should be within tolerance so as to allow for smooth filling of the mold. Ideally, the wall thickness should be uniform throughout the part (equal to the nominal wall thickness). In reality, the variation is unavoidable due to requirements of functions and aesthetics. However, the amount of variation has to be minimized. Thickness variations in a plastic part result in differing rates of cooling, shrinkage, warping and distortion.

Recommendations

As a general guide, wall thickness in a part should not deviate more than 25% from the nominal wall.

Example


Minimum Wall Thickness

Rule

The minimum wall thickness in the part should be within the user specified range.

Explanation

The investment casting process can produce precisely replicated parts in an economical way. In investment casting, wall thickness is the critical element in achieving defect-free parts. The minimum wall thickness that can be achieved is dependent on material and the distance the molten metal must travel.

Depending on the product design, for each type of material there should be different minimum wall thickness required and user should be able to set the appropriate values.

Recommendations

Recommendations based on material selected for the product design should be selected from the Rule Configuration window.

Configuration

Please select or set appropriate value for minimum wall thickness of the part depending on manufacturing and operational setup of your product.

Users can select the materials in the table for Material thickness from the drop down list. The drop down list is populated using the investment materials in the Materials database.

When DFMPro is executed, the user should select the material for the part in the “Input Selection” window. User can select any ‘Material Grade’ under the configured ‘Material Group’.

Example


Avoid Angular Milling Faces

Rule

Identify side and bottom faces of milling features separated by a bottom fillet, where surfaces are at angles other than 90º to each other.

Explanation

Side and bottom faces of milling features separated by bottom fillet should be at 90º to each other to allow production with an end mill having bottom corner radius. Machining of angular faces require multi-axis machining, which leads to higher machining cost.

Recommendations

Side and bottom faces of milling features separated by bottom fillet should be at an angle 90º to each other.

Example


Deep - Narrow Slots

Rule

Designing deep-narrow pockets and slots should be avoided.

Explanation

Deep-narrow pockets and slots require longer tools for machining. Longer tools are more prone to breakage and makes chip removal difficult, especially when the pockets and slots are blind.

Deep narrow slots require a long tool for milling. For optimum machining it requires larger depth of cut and low feed rate otherwise it will result in a high load on the tool and reduce the tool life.

Therefore, a deep narrow slot is typically machined in several passes as the tool moves to the specified axial depth of cut for each pass which leads to increase in machining time and overall cost.

Hence, such a feature should be avoided.

Recommendations

Increase the cross section area of the pocket/slot or decrease its depth to achieve the user configured ratio. As a general guideline, cross section area to depth ratio should be equal to or greater than 0.8 mm. User can configure the value based on the part material and the available tools.

Configuration

The measuring parameter used in this rule is the ratio of cross section area of a pocket/slot to its depth. The value of this parameter should be kept above the specified value, which is configurable.

Confirm the default configured value or get assistance from a subject matter expert to configure a feature specific to your organization's standard.

Example

Where,

h = Pocket/slot depth

A = Cross Section Area of pocket


Deep Radiused Corners

Rule

Avoid designing milling features with deep corner radii.

Explanation

Deep pocket corner radii require longer end mills to machine.

Longer end mills are prone to breakage, chatter and require longer machining times.

Deep corner radii increase overall cost of manufacturing.

Where,

h= Depth of Pocket

R= Side Radius

Recommendations

  • As a general guideline, corner radius to feature depth ratio should not exceed 8.0. (for certain materials lower values may be recommended)

  • It is recommended to either increase the corner radius or decrease the depth of the pocket to achieve the expected ratio.

Configuration

DFMPro identifies corner radius to its depth ratio and checks against a given configured. User can edit the default configured ratio.

Additionally, users can select ratio based on specific materials. The material list is populated using machining materials from the Materials database.

When the rule is executed, any material from the displayed list of machining materials can be selected for the part using the "Input Selection" window.

In case the maximum depth to radius ratio is not configured for the selected material, then the 'Default' value will be used for analyzing the part.

Example


Extended Clearance for Fillet

Explanation

Standard tool should be used to machine fillets. If there is no extended clearance for fillet then special tool is required for machining which leads to extra cost for special tool.

Recommendations

For use of standard tool the extended clearance for fillet should be as per configured value.

Example

Default values for Hole Diameter and Extended Clearance as shown in following figure

Note:

In case of hole chain, this rule considers hole size less than or equal to maximum hole size provided in Standard Hole Sizes database for clearance check.


Fillets on Top Edges

Rule

Edges on the top of pockets, bosses, and slots should be chamfered and not filleted.

Explanation

For outside edges of features, a bevel or chamfer instead of rounding should ideally be allowed by the product design (when a sharp corner is not preferred).

Rounding makes use of a form-relieved cutter and an accurate setup, whereas bevels and chamfers make use of face mills. The former is considerably more expensive than the latter.

Recommendation

An outside fillet requires a special cutter and a precise setup, both of which are expensive. So, for outside corners, chamfers are preferable to fillets for economical machining.

Configuration

By default, all fillets are considered. Optionally fillets greater than default 25.4 mm (1 inch) or a configured value can be ignored.

Parameters considered:

  • Fillets that are associated with slot features are validated independent of its parent slot feature.

  • All the fillets (i.e. fillet associated with a feature and stand-alone) are validated for all the available machining direction

Example

Note:

Drill tools are configured in database and user can view drill diameter by editing standard hole sizes rule in the Rule Manager.

Maximum drill tool diameter consideration for the analysis is based on the 'Unit Selection' option selected in standard hole sizes configuration.


Non-Uniform Bottom Radius

Rule

To improve machining quality and to reduce machining time it is necessary to have a uniform bottom radius.

Explanation

Appropriate Uniform Bottom Radius is necessary to get

  • Good dimensional accuracy and Quality production

  • To reduce machining timings.

  • To reduce the cost of tooling

Recommendations

As a general guideline, it is recommended that the part should have uniform bottom radius in chain.

Configuration

DFMPro identifies the Bottom radius and checks against uniformity.

Example

Where,

Rb= Bottom Radius


Non-Uniform Draft Features

Rule

The walls of pockets, bosses and slots should be defined with a constant taper angle.

Explanation

Uniform draft features can be efficiently machined by applying faster milling cycles.

In many instances, a small design element might change the feature from a uniform draft to a non-uniform draft or vice versa.

Non-uniform draft features require 3-axis machining operation which increases the machining time and the cost of manufacturing.

Recommendations

Corner fillets on pockets and bosses should have a constant taper so that they can be machined with an appropriate milling tool.

  • For vertical walls, the corner fillets should be of a constant radius.

  • For tapered walls, the corner fillets should be conical.

Configuration

This rule checks whether or not the draft angle on each face of the feature is uniform and therefore configuration information is not required.

Example


Narrow Regions in Pockets

Rule

Designing narrow regions in pockets should be avoided for the ease of manufacturing.

Explanation

  • The size of the milling cutter is constrained by the smallest distance between the faces of the feature.

  • Long and small diameter cutters are prone to breakage and chatter. Therefore, larger diameter shorter cutters are generally preferred.

  • The target value for the parameter (minimum distance between faces in the feature) is configurable.

Recommendations

  • Try to avoid features (or faces) too close to each other such that the gap between them is too narrow to allow the milling cutter to pass through.

  • If the narrow regions are unavoidable, then they should not be too deep.

Configuration

The minimum narrow region thickness is recommended to be greater than or equal to 3.0 mm (0.118 in).

Maximum ratio between the depth and the thickness of the narrow region should be less than or equal to 10.

These values should be configured in case a deviation is required.

Example

Where,

T=Thickness

H=Depth


Pockets with Bottom Chamfers

Rule

Milled pockets and bosses should not have a chamfer between the side walls and the base of the feature.

Explanation

Fillets should be favored over chamfers for bottom edges if sharp edges are not preferred.

Internals chamfers are difficult to manufacture and bottom fillets can be easily manufactured using ball/bull-nose end mills.

Recommendations

  • Chamfered bottoms need to be avoided if possible

  • Preferred Condition

Configuration

This rule checks milled pockets and bosses that should not have a chamfer at its bottom, so configuration information is not required.

Example


Preferred Stock Sizes

Rule

Stock material should be optimum in order reduce overall manufacturing cost.

Explanation

The manufacturing of products or goods required raw material as the prime element. Material cost is the major cost component of a manufacturing costs. In order to reduce the raw material cost, designer has to consider design changes which will lead to effective utilization of the raw material.

Rule provide following information:

(1) Part Volume:

It is the actual volume of the part.

(2) Bar Stock Volume:

It is the volume of rectangular tight box of the part.

(3) Round Stock Volume:

It is the volume of cylindrical tight box of the part.

(4) Material Usage % (Utilization of stock):

It is the percentage of the ratio of part volume and recommended stock volume (i.e. Bar Stock Volume or Round Stock Volume).

Material Usage %= Part Volume

-------------------------------------------------------------------- X 100

Recommended Stock Volume(Bar Stock Volume or Round Stock Volume)

Note:

Higher the Material Usage (Utilization of stock) , lesser the raw material wastage and vice a versa.

Recommendations

Stock material should be optimum in order to reduce overall manufacturing cost.

Example

Where,

X = Width

Y = Length

Z = Height

D = Diameter

For computing the stock, user needs to define the datum reference from which DFMPro will compute the stock size.


Recommended Bottom Radius

Rule

Bottom radius of milling features should be equal to user specified values in the table.

Explanation

Use of standard bottom radius value for milling features will help user to choose the standard milling tools available in the shop floor/ market.

Non-standard radius value demands specials tools to achieve the desired radius values which is costly and time consuming.

Configuration

DFMPro identifies milling features on the part and checks bottom radius values which are equal to one of the value configured with the rule configuration table.

User can edit the default values configured with the table.

Recommendations

Bottom radius of milling features should be equal to a user specified values in the table.

Example

Where,

Rb = Bottom Radius


Recommended Groove Distance

Rule

The ratio of groove distance to diameter should be less than or equal to user specified value.

Explanation

To manufacture groove, tool length should be appropriate. If groove distance is more, then long tool length is required which leads to tool vibration during machining.

Recommendations

General guidelines suggest that a ratio of groove distance to diameter should be <= 3.0.

Example

Where,

H = Groove Distance

D = Hole Diameter


Recommended Side Radius

Rule

Side radius of milling features should be equal to a user specified values in the table.

Explanation

Use of standard side radius value for milling features will help the user to choose the standard milling tools available in the shop floor/market.

Non-standard radius value demands for special tools to achieve the desired radius values which is costly and time consuming.

Configuration

DFMPro identifies milling features on the part and checks side radius values which are equal to one of the value configured with the rule configuration table.

User can edit the default values configured with the table.

Recommendations

Side radius of milling features should be equal to a user specified values in the table.

Example

Where,

Rs = Side Radius


Sharp Internal Corners

Rule

Sharp internal corners are difficult to machine and makes use of special machining operations which are expensive.

Explanation

Sharp inside corners cannot be produced by milling and require extortionate machining methods like EDM. So side radiused corners should always be preferred.

Recommendations

  • While designing a three-edged inside corner, one of the inside edges should be radiused.

  • The minimum radius should conform to the value specified by the Deep Radiused Corners rule.

  • If a sharp corner is required for mating clearance, then drilling a separate relief hole as shown below may serve the purpose.

Configuration

This rule checks whether sharp internal corners are filleted or not, so configuration information is not required.

Example


Tool Accessibility

Rule

The cutting tool should have accessibility to features in a preferred machining orientation.

Explanation

DFMPro identifies inaccessible regions in the model.

Some examples:

  • A Counterbore opening inside another pocket.

  • A Pocket with negative draft.

Recommendation

In case of a 2.5 axis milling operation, features should be easily accessible to the cutting tool in the preferred machining orientation. This will reduce the manufacturing time, thereby resulting in the reduction of overall cost.

Configuration

This rule checks whether inaccessible features/regions are present in a model or not, so configured information is not needed.

Example

Inaccessible features/regions

Note:

Drill tools are configured in database and user can view drill diameter by editing standard hole sizes rule in the Rule Manager.

Maximum drill tool diameter consideration for the analysis is based on the 'Unit Selection' option selected in standard hole sizes configuration


Uniform Wall Thickness

Rule

The wall thickness in the part should be within the user specified range.

Explanation

In sand casting, small consideration in design may mean substantial differences in costs. A thick section of a sand casted part often referred to as a hot spot, causes uneven cooling and can result in shrinkage, porosity, or cracking. Uniform wall thickness will ensure uniform cooling and reduce defects.

Recommendations

Minimum wall thickness varies with the metal used but normally it should not be less than 6 mm whereas maximum wall thickness varies with the section length.

Configuration

The rule can be configured to specify allowable minimum and maximum wall thickness in terms of an absolute value.

Example


Tab Parameters

Rule

Tab parameters should be as per user specified value.

Recommendations

General guidelines suggest that tab width should be greater than or equal to 1.5 times sheet metal thickness and tab height should be less than or equal to 5 times the tab width.

Example

Where,

t= Sheet Thickness

h = Tab Height

W = Tab Width

For any technical feedback on this rule, write to dfmpro.support@hcl.com.


Closed Hem Parameters

Rule

The ratio of the return flange length to the sheet thickness should be greater than or equal to user specified value.

Explanation

For bending operation, there should be sufficient contact between sheet and tool. Insufficient contact may cause the sheet to shear or result in improper bending. Hence, Return flange length (H) should be maintained.

Configuration

DFMPro identifies return flange length and computes ratio of return flange length to sheet thickness and validate against a configured ratio.

User can edit the default configured ratio.

Recommendations

As a general guideline, the ratio of return flange length (H) to the sheet thickness should be >=3.5.

Example

Where,

t= Sheet Thickness

H= Return Flange Length


Counterbore Hole Distance to Part Edge

Rule

The ratio of the minimum distance between the edge of a counterbore hole and the edge of the part to the sheet thickness should be greater than or equal to the specified value.

Explanation

If the distance from a counterbore hole to part edge falls below a minimum value, there is a chance of distortion/cracking of the sheet in the area under consideration.

Configuration

DFMPro identifies the Counterbore hole on the part and computes the distance to thickness ratio against a preconfigured value.

User can edit the default configured value.

Recommendations

In general,minimum distance between counterbore hole and part edge to sheet thickness should be >= 4.0.

Example

Where,

D = Minimum Distance between Counterbore Hole and Part Edge

t = Sheet Thickness


Counterbore Hole Spacing

Rule

The ratio of the minimum distance between the edges of two counterbore holes to the sheet thickness should be greater than or equal to the specified value.

Explanation

If the distance from one counterbore hole to another counterbore hole falls below a minimum value, there is a chance of distortion/cracking of the sheet in the area under consideration.

Configuration

DFMPro identifies the distance between two counterbore holes on the part and computes the distance to thickness ratio against a preconfigured value.

User can edit the default configured value.

Recommendations

In general, minimum distance between two counterbore holes to sheet thickness should be >= 8.0.

Example

Where,

D = Minimum Distance between Counterbore Holes

t = Sheet Thickness


Counterbore Hole to Bend Distance

Rule

The ratio of the distance between the edge of a counterbore hole and a bend to the sheet thickness should be greater than or equal to the specified value.

Explanation

If the distance from counterbore hole to a bend on the part falls below a minimum value, there is a chance of deformation of the sheet in the area under consideration along with difficulty in punching the hole.

Configuration

DFMPro identifies the distance between counterbore hole and the bend and computes the distance to thickness ratio against a preconfigured value.

User can edit the default configured value.

Recommendations

In general, minimum distance between counterbore hole and bend to sheet thickness should be >= 4.0

Example

Where,

D = Minimum Distance between Counterbore Hole and Bend

t = Sheet Thickness

Note:

Holes on bend or interfering with bend feature will be flagged for DFMPro recommendation.


Countersink Hole Distance to Part Edge

Rule

The ratio of the minimum distance between the edge of a countersink hole and the edge of the part to the sheet thickness should be greater than or equal to the specified value.

Explanation

If the distance from countersink hole to a part edge falls below a minimum value, there is a chance of deformation of the sheet in the area under consideration.

Configuration

DFMPro identifies the distance between countersink hole and the part edge and computes the distance to thickness ratio against a pre-configured value.

User can edit the default configured value.

Recommendations

In general, minimum distance between countersink hole and part edge to sheet thickness should be >=4.0.

Example

Where,

D = Minimum Distance between Countersink Hole and Part Edge

t = Sheet Thickness


Countersink Hole Spacing

Rule

The ratio of the minimum distance between the edges of two Countersink holes to the sheet thickness should be greater than or equal to the specified value, which is configurable.

Explanation

If the distance from one Countersink hole to another Countersink hole falls below a minimum value, there is a chance of distortion/cracking of the sheet in the area under consideration.

Configuration

DFMPro identifies the distance between two Countersink holes on the part and computes the distance to thickness ratio against a preconfigured value. User can edit the default configured value.

Recommendations

In general, minimum distance between two countersink holes to sheet thickness should be >= 8.0

Example

Where,

D = Minimum Distance between Countersink Holes

t = Sheet Thickness


Countersink Hole to Bend Distance

Rule

The ratio of the distance between the edge of a Countersink hole and a bend to the sheet thickness should be greater than or equal to the specified value, which is configurable.

Explanation

If the distance from countersink hole to a bend on the part falls below a minimum value, there is a chance of deformation of the sheet in the area under consideration along with difficulty in punching the hole.

Configuration

DFMPro identifies the distance between countersink hole and the bend and computes the distance to thickness ratio against a pre-configured value. User can edit the default configured value.

Recommendations

In general, minimum distance between countersink hole and bend to sheet thickness >=4.0.

Example

Where,

D = Minimum Distance between Countersink Hole and Bend

t = Sheet Thickness

Note:

Holes on bend or interfering with bend feature will be flagged for DFMPro recommendation.


Cutout Distance to Part Edge

Rule

The ratio of the minimum distance from a cutout to edge of a part to the sheet thickness should be greater than or equal to a user specified value.

Explanation

If the distance from a cutout to an edge of a part falls below a minimum value, there is a chance of distortion/cracking of the sheet in the area under consideration. Depending on the manufacturing method, the allowable distance will vary. If a cutout is too close to an edge, the edge can distort, forming a bulge. This may be due to insufficient space for clamping the part. The minimum distance a cutout should have from an edge is a function of the material thickness.

Recommendations

As a general guideline, minimum distance from a cutout to edge of a part should be at least 2 times sheet thickness.

Configuration

By default minimum distance from a cutout to edge of a part with respect to sheet thickness is configured, but user can modify as per their organization standard and manufacturing capability.

Also user can configure different value of ratio for minimum distance from a cutout to edge of a part with respect to sheet thickness as per the sheet metal thickness sizes.

Example

Default Conditions

T= Sheet Thickness

Optional Conditions

If T<5.00 mm | If T>=5.00 mm


Cutout Distance to Part Edge (Line Length Based)

Rule

The ratio of the minimum distance between the edge of the hole and the edge of the part should be greater or equal to (1/n) times the minimum of length L1 and L2.

Explanation

If the distance from a cutout to an edge of a part falls below a minimum value, there is a chance of distortion/cracking of the sheet in the area under consideration. Depending on the manufacturing method, the allowable distance will vary. If a cutout is too close to an edge, the edge can distort, forming a bulge. This may be due to insufficient space for clamping the part. The minimum distance a cutout should have from an edge is a function of the material thickness.

Recommendations

As a general guideline, minimum distance from a cutout to edge of a part should be at least 1/10th times minimum of length L1 and L2. User can restrict the cutout analysis by providing angle between the lengths L1, L2. Recommended angle (X) is less than or equal to 20°.

Example

Where,

B = Minimum Distance from a Cutout to Part Edge

X = Angle between lines (L1, L2)


Cutout to Bend Distance

Rule

The ratio of the minimum distance from a cutout to a bend to the sheet thickness should be greater than or equal to a user specified value.

Explanation

Cutouts that are too close to the bend will distort during the bending process. Distortion will be minimal if the distance between edge of the hole to the start of the inside bend radius is at least two times material thickness.

Recommendations

As a general guideline, minimum distance from a cutout to start of the inside bend radius should be at least 2 times sheet thickness.

The ratio of the minimum distance from a cutout to bend of a part to sheet thickness (with respect to cutout length) should be greater than or equal to the user specified value.

Example

Where,

D= Cutout to Bend Distance

t= Sheet Thickness

L= Length of Cutout

R= Bend Radius

Note:

Following shaped are supported for recommendation based on cutout length-

Excel Input Format

'Ctrl+I' option is available for bulk data input to the rule configuration.

Importing Data Excel data input template for this rule is as below-

For R<=Ri

L1 | L2 | D/t
0 | 1.0 | 2.0
1.0 | 2.0 | 2.5
2.0 |  | 3.0

For R>Ri

L1/t | L2/t | D/t
0 | 20.0 | 2.5
20.0 |  | 4.0

Note:

  • Cutout on bend or interfering with bend feature will be flagged for DFMPro recommendation.

  • Cases where cutout edges intersect the bend feature at an angle of 90 degrees with the bend axis and then cut through, will not be flagged for DFMPro recommendation.


Cutout to Bend Distance (Line Length Based)

Rule

The ratio of the minimum default distance between the edge of the hole and the bend should be greater or equal to (1/n) times the minimum of length L1 and L2.

Explanation

Cutouts that are too close to the bend will distort during the bending process. Distortion will be minimal if the distance between edge of the hole to the start of the inside bend radius is at least two times material thickness.

Recommendations

As a general guideline, minimum distance from a cutout to start of the inside bend radius should be at least 1/10th times minimum of length L1 and L2. User can restrict the cutout analysis by providing angle between the lengths L1, L2. Recommended angle (X) is less than or equal to 20° .

Example

Where,

A = Minimum Distance from Cutout to Bend

X = Angle between lines (L1, L2)


Dowel Distance to Bends

Rule

The ratio of the minimum default distance between the dowel hole edge and the bend to the sheet thickness should be greater than or equal to user specified value.

Explanation

Dowels that are too close to the bend will distort during the bending process. Distortion will be minimal if the distance between edge of the hole to the start of the inside bend radius is at least four times material thickness.

Recommendations

As a general guideline, minimum distance from a dowel hole edge and the bend should be at least 4 times sheet thickness.

Example

Where,

D = Minimum distance from Dowel Edge to Bend

t= Sheet Thickness


Dowel Distance to Cutouts

Rule

The ratio of the minimum distance between the dowel hole edge and the cutout edge to the sheet metal thickness should be greater than or equal to user specified value.

Explanation

If the distance from a dowel hole edge and the cutout edge falls below a minimum value, there is a chance of distortion/cracking of the sheet in the area under consideration. If a dowel hole is too close to an edge, the edge can distort, forming a bulge.

Recommendations

As a general guideline, minimum distance from a dowel hole edge and the cutout edge should be at least 4 times sheet thickness.

Example

Where,

D = Minimum Distance from Dowel Hole Edge to Cutout Edge

t= Sheet Thickness


Dowel Distance to Part Edge

Rule

The ratio of the minimum distance between the dowel hole edge and the part edge to the sheet thickness should be greater than or equal to user specified value.

Explanation

If the distance from a dowel hole edge and the part edge falls below a minimum value, there is a chance of distortion/cracking of the sheet in the area under consideration. If a dowel hole is too close to an edge, the edge can distort, forming a bulge.

Recommendations

As a general guideline, minimum distance from a dowel hole edge and the part edge should be at least 4 times sheet thickness.

Example

Where,

D = Minimum Distance from Dowel Hole Edge to Part edge

t= Sheet Thickness


Dowel Outer Diameter

Rule

The ratio of the dowel outer diameter should be within user specified range value.

Explanation

Dowel outer diameter should fall within the user specified range value.

Recommendations

As a general guideline, dowel outer diameter should be greater than 3.0 mm and smaller than 5.0 mm.

Example

Where,

D = Dowel Outer Diameter

t= Sheet Thickness


Dowel Outer Diameter Height

Rule

The ratio of the dowel outer diameter height to the sheet metal thickness should be greater than or equal to user specified value.

Explanation

Minimum dowel outer diameter height should be required to achieve the desired function.

Recommendations

As a general guideline, dowel outer diameter height to the sheet thickness should be at least 1/2 times sheet metal thickness.

Example

Where,

h= Dowel Outer Diameter Height

t= Sheet Thickness


Dowel Spacing

Rule

The ratio of the minimum distance between the dowel hole edge and other dowel hole edge to the sheet thickness should be greater than or equal to user specified value.

Explanation

Sufficient, space should be mentioned between the two adjacent dowels to avoid distortion.

Recommendations

As a general guideline, minimum distance between the dowel hole edge and other dowel hole edge should be greater than or equal to 4 times sheet metal thickness.

Example

Where,

D = Dowel Spacing

t= Sheet Thickness


Extruded Hole Parameters

Rule

The extruded hole parameters should be as per user recommend value.

Explanation

Condition1: 1- [(ØD - Ød)/(2*t)] gives idea about the compressed thickness of extruded hole (D-d) to sheet metal thickness ratio. This ratio should be above certain value to avoid deformation during manufacturing.
Condition2: SQRT{SQR(Ød) - [(SQR(ØD)-SQR(Ød))*(h/t)]} gives idea about volume of extruded hole (SQR(ØD) - SQR(Ød))*(h/t) to sheet metal thickness ratio. This ratio should be above certain value to generate extruded hole with some appropriate height.

Recommendations

General guidelines suggest that value for condition1: [1-(ØD - Ød)/(2*t)] should be between 0.5 to 0.6 and for Condition2: SQRT{SQR(Ød) - [(SQR(ØD)-SQR(Ød))*(h/t)]} it should be greater than or equal to 1.5 times sheet metal thickness.

Example

Where,

t= Sheet Thickness

d = Extruded hole inner diameter

D = Extruded hole outer diameter

h = Extruded hole height


Extruded Hole Distance To Cutouts

Rule

The ratio of the minimum distance between extruded hole and cutout to sheet thickness should be greater than or equal to user specified value.

Explanation

If the distance from an extruded hole to the cutout falls below a minimum value, there is a chance of distortion/cracking of the sheet in the area under consideration. If an extruded hole is too close to the edge, the edge can distort, forming a bulge.

Configuration

DFMPro identifies extruded hole feature. It computes ratio of minimum distance between Extruded hole and cutout to sheet thickness and validate the actual ratio against a configured ratio.

User can edit the default configured ratio.

Recommendations

As a general guideline, minimum distance between an extruded hole and cutout should be at least 4 times sheet thickness.

Example

Where,

D = Minimum distance between Extruded Hole and Cutout

t = Sheet Thickness


Extruded Hole Height

Rule

The ratio of the extruded hole height to the sheet thickness should be greater than or equal to user specified value.

The ratio of the extruded hole height to the extruded hole inner diameter should be less than or equal to user specified value.

Explanation

An appropriate extruded hole height needs to be ensured for ease of manufacturing and also to accommodate the stress during the loading condition.

Configuration

DFMPro identifies extruded hole feature. It computes ratio of extruded hole height to the sheet thickness and extruded hole height to the extruded hole inner diameter.

Validate the actual ratios against a configured ratios.

User can edit the default configured ratio.

Recommendations

As a general guideline, minimum extruded hole height should be at least 2 times sheet metal thickness. Also maximum extruded hole height should be less than or equal to 0.5 times extruded hole inner diameter.

Example

Where,

h = Extruded Hole Height

d= Extruded Hole Inner Diameter

t = Sheet Thickness


Extruded Hole Inner Diameter

Rule

Extruded hole inner diameter should be greater than or equal to user specified value.

Explanation

Extruded hole inner diameter should sufficient enough to accommodate standard pins, bolts etc.

Configuration

DFMPro identifies extruded hole feature. It computes value of Extruded hole inner diameter and validate the actual value against a configured value. User can edit the default configured value.

Recommendations

As a general guideline, minimum extruded hole inner diameter should be as per configured value.

Example

Where,

d = Minimum Extruded Hole Inner Diameter

t = Sheet Thickness


Extruded Hole Spacing

Rule

The ratio of the minimum spacing between extruded holes to sheet thickness should be greater than or equal to user specified value.

Explanation

Sufficient, space should be mentioned between the two adjacent extruded holes to avoid distortion. Also harder materials may crack during fabrication.

Configuration

DFMPro identifies extruded hole feature. It computes ratio of minimum spacing between extruded holes to sheet thickness and validate the actual ratio against a configured ratio.

User can edit the default configured ratio.

Recommendations

As a general guideline, minimum distance between two extruded holes should be greater than or equal to 4 times sheet thickness.

Example

Where,

D = Minimum Distance between Extruded Holes

t = Sheet Thickness


Extruded Hole Distance to Bends

Rule

The ratio of the minimum distance between the extruded hole and the bend to the sheet thickness should be more than configured value.

Explanation

Extruded holes that are too close to the bend will distort during the bending process. Distortion will be minimal if the distance between edge of the hole to the start of the inside bend radius is at least four times material thickness. Also correct distance helps to provide sufficient gap for punch and die to create the extruded hole.

Configuration

DFMPro identifies extruded hole feature. It computes ratio of minimum distance between Extruded hole and bend to sheet thickness and validate the actual ratio against a configured ratio. User can edit the default configured ratio.

Recommendations

As a general guideline, minimum distance between the extruded hole and the bend should be at least 4 times sheet thickness.

Example

Where,

t = Sheet Thickness

D = Minimum Distance between Extruded Hole and Bend


Extruded Hole Distance to Part Edge

Rule

The ratio of the minimum distance between Extruded hole and part edge to the sheet thickness should be greater than or equal to user specified value.

Explanation

If the distance from an extruded hole edge and the part edge falls below a minimum value, there is a chance of distortion/cracking of the sheet in the area under consideration. If the extruded hole is too close to an edge, the edge can distort, forming a bulge.

Configuration

DFMPro identifies extruded hole feature. It computes ratio of minimum distance between Extruded hole and part edge to sheet thickness and validate the actual ratio against a configured ratio.

User can edit the default configured ratio.

Recommendations

As a general guideline, minimum distance from an extruded edge to the part edge should be at least 4 times sheet thickness.

Example

Where,

t = Sheet Thickness

D = Minimum Distance between Extruded Hole and Part Edge


Hole Distance to Bends

Rule

The ratio of the minimum distance between the edge of a hole and a bend to the sheet thickness should be greater than or equal to the specified value, which is configurable.

Explanation

If the distance from a hole to a bend on the part falls below a minimum value, there is a chance of deformation of the sheet in the area under consideration along with difficulty in punching the hole.

Configuration

DFMPro identifies the distance between hole and the bend and computes the distance to thickness ratio against a preconfigured value. User can edit the default configured value.

Recommendations

In general, minimum distance between hole and bend should be to sheet thickness >=2.0.

Example

Where,

D = Minimum Distance between Hole and Bend

t = Sheet Thickness


Half-Shear Parameters

Rule

The ratio of half-shear depth to sheet metal thickness should be less than or equal to the specific value.

Explanation

The ratio of half-shear depth to sheet metal thickness should not be too large to avoid deformation and fracture of the metal.

Recommendations

General guidelines suggest that a maximum ratio of half-shear depth to sheet metal thickness should be less than or equal to 0.6 times the sheet thickness.

Example

Where,

t= Sheet Thickness

h = Half-Shear Depth


Hem Distance to Bends

Rule

The minimum distance between hem and bend should be as per recommended value.

Explanation

A certain minimum distance needs to be maintained between a hem and bend to allow appropriate bending. Insufficient distance might result in interference between tool and hem resulting in damage.

Configuration

DFMPro identifies the return flange length of the hem and computes the summation of this length with 2 times the sheet thickness to give the distance between hem and bend. User can edit the default configured value.

Recommendations

Minimum distance between Hem and Internal bend should be greater than or equal to 2 times sheet thickness plus length of return flange.

Minimum distance between Hem and External bend should be greater than or equal to sheet thickness plus length of return flange.

Example

Where,

t= Sheet Thickness

D1= Minimum Distance between Hem to Internal Bend

D2=Minimum Distance between Hem to External Bend

L1=Hem Leading Edge to Internal Bend Distance

L2=Hem Leading Edge to External Bend Distance

H= Return Flange Length


Hem Distance to Cutouts

Rule

The minimum distance between Hem and Cutout should be as per recommended value.

Explanation

A certain minimum distance needs to be maintained between a Hem and Cutout to prevent distortion or cracking of the sheet in the area under consideration.

Configuration

DFMPro identifies minimum distance between hem feature and a cutout. DFMPro then computes ratio of the distance to sheet thickness and validates against a configured value.

User can edit the default configured value

Cutouts such as slots and holes are taken into consideration for this rule

Recommendation

Minimum distance between Hem and Cutout should be greater than or equal to 3.5 times sheet thickness.

Example

Where,

t= Sheet Thickness

D= Minimum Distance between Hem and Cutout

L= Hem Leading Edge to Cutout


Hole to Part Edge Distance

Rule

The ratio of the minimum distance from a simple hole to edge of a part to the sheet thickness should be greater than or equal to a user specified value.

Explanation

To prevent distortion and/or tearing, hole should be sufficiently away from the part edge.

Recommendations

As a general guideline, minimum distance from a hole to edge of a part should be at least 4 times sheet thickness.

Example

Where,

D= Minimum Distance from a Hole to Edge of a Part

t= Sheet Thickness


Interference in Flat Pattern

Rule

Interference in flat pattern should be avoided for ease of manufacturing.

Explanation

It is not feasible to manufacture a sheet metal part when its design results in interference during unfolded state of sheet metal.

Recommendations

This rule will ensure that there should not be any interference in sheet metal component design when sheet metal part is unfolded.

Example


Knife Edge

Rule

Knife edge features on sheet metal parts should be avoided for ease of manufacturing.

Explanation

To achieve knife edges on sheet metal parts, additional operations may be required which increases the cost of the product. Knife edge conditions can also lead to fatigue failures in certain cases.

Recommendations

In general, knife edge conditions should be avoided to reduce cost, complexity of manufacturing and stress conditions leading to fatigue failures.

Example


Maximum Depth of Counterbore

Rule

Maximum depth of a counterbore hole should be less than or equal to the specified value.

Explanation

Countersinking and counterboring can be expensive operations especially if quantities are limited or machining is required.

These features should be avoided unless they are really necessary.

Recommendations

Maximum depth of counterbore must be less than or equal to 0.6 times the sheetmetal thickness.

Example

Where,

t= Sheet Thickness

h= Maximum Depth of Counterbore


Maximum Depth of Countersink

Rule

Maximum depth of an countersink hole should be less than or equal to the specified value.

Explanation

Countersinking and counterboring can be expensive operations especially if quantities are limited or machining is required.

These features should be avoided unless they are really necessary.

Recommendations

Maximum depth of countersink should be less than or equal to 0.6 times the sheetmetal thickness.

Example

Where,

t= Sheet Thickness

h= Maximum Depth of Countersink


Maximum Embossment Depth

Rule

The depth of an embossment should be less than some specified value.

Explanation

Embosses are small, shallow formed projections on the surface of stamped parts. During this operation, stretching is the main deformation mode resulting in high tension. Thereby the metal is subject to excessive thinning or fracturing. Consequently, the depth of the embossed feature is restricted by the material's stretchability and thickness the emboss geometry and frictional values.

Configuration

Set the "Embossment Depth to Thickness Ratio" value as appropriate.

User can also select the ratio based on specific materials. The material list is populated using fabrication materials from Materials database.

In case the Embossment Depth to Thickness Ratio is not configured for the selected material, then the 'Default' value will be used for analyzing the part.

Recommendations

Maximum Embossment Depth for respective materials should be as per the configured value.

Based on the material and its properties, different values are recommended for the Embossment Depth to Thickness Ratio.

Example

Where,

t= Sheet Thickness

h= Embossment Depth


Minimum Bend Radius

Rule

The ratio of the bend radius in a sheet metal part to the thickness should be greater than or equal to a user specified value.

Explanation

Minimum bend radius is a function of the ductility and thickness of the material being worked. The minimum bend radii requirements can vary depending on applications and material. For aerospace and space applications, the values may be higher. When the radius is less than recommended, this can cause material flow problems in soft material and fracturing in hard material. Localized necking or fracture may also occur in such cases.

Recommendations

As a general guide, minimum bend radius should be at least equal to thickness. Most annealed metals can be bent to a radius equal to the thickness, although some softer metals can be bent to an inside radius one-half metal thickness. Short bend radius lengths reduce the minimum bend radius

Based on the material and its hardness, different values are recommended for the minimum bend radius to sheet metal thickness ratio.

Configuration

Set the “Bend Radius to Thickness” value as appropriate.

Additionally, users can also select the ratio based on specific materials. The material list is populated using fabrication materials from the Materials database.

When the rule is executed, any material from the displayed list of fabrication materials can be selected for the part using the "Input Selection" window.

In case the bend radius to thickness ratio is not configured for the selected material, then the 'Default' value will be used for analyzing the part.

The value configured as per material is applicable for hard material condition

Material | Bend Radius to Thickness Ratio
Aluminium Alloys | 6.0
Beryllium Copper | 4.0
Low-Leaded Brass | 2.0
Magnesium | 13.0
Austenitic Stainless | 6.0
Low-Carbon, Low-Alloy | 4.0
Titanium | 3.0
Titanium Alloys | 4.0

Example

Where,

R = Bend Radius

T= Sheet Thickness


Minimum Corner Radius

Rule

Minimum corner radius should be as per user recommended value.

Explanation

In case of sheet metal, it is important to have some minimum radius at all sharp corners for ease and safe handling of components.

Recommendations

General guidelines suggest sheet metal thickness to be less than or equal to 5.0 mm, preferred corner radius should be greater than or equal to 0.5 mm and in case sheet metal thickness is greater than 5.0 mm, then preferred corner radius should be 0.25 times the sheet thickness.

Allowed Chamfered Angle-Rule will exclude those sharp edges, for which the material angle is greater than or equal to allowed chamfer angle value.

Example

Where,

R = Corner Radius


Minimum Distance between Cutouts

Rule

The minimum distance between cutouts should be as per user specified values.

Explanation

Cutouts which are too close to each other can cause problems during fabrication. In case of stamped cutouts, the part of the die block that supports the stamping between these features will have a thin section that can crack or break in production. Distortion can also occur due to insufficient space for clamping because of the crowding of features.

Configuration

Minimum Distance: DFMPro identifies the Cutouts on the part and validates the minimum distance distances against the configured value.

Based on Cutout Length: DFMPro will first calculate the length of the standard cutouts (Circle, Square, Rectangle and Obround ) and use the maximum length of the cutout based on configured values, respective distance between Cutouts is correlated and validated for analysis.

User can change default configured values.

Recommendations

The ratio of distance between cutouts to sheet thickness should be greater than or equal to 2.0

The ratio of distance between cutouts to sheet thickness (with respect to slot length) should be greater than or equal to the user specified value.

Example

Where,

D= Minimum Distance between Cutouts

L= Cutout Length

t= Sheet Thickness

Below standard shapes of cutouts are supported

Excel Input Format

'Ctrl+I' option is available for bulk data input to the rule configuration

Importing Data Excel data input template for this rule is as below-

L1/t | L2/t | D/t
0 | 10 | 1
10 | 25 | 2
25 |  | 2.5


Minimum Distance between Cutouts (Line Length Based)

Rule

The ratio of the minimum default distance between the edge of the cutout and other cutout edge should be greater or equal to (1/n) times the minimum of length L1 and L2.

Explanation

Cutouts which are too close to each other can cause problems during fabrication. In case of stamped cutouts, the part of the die block that supports the stamping between these features will have a thin section that can crack or break in production. Distortion can also occur due to insufficient space for clamping because of the crowding of features.

Recommendations

As a general guideline, minimum distance between cutouts should be at least 1/10th times minimum of length L1 and L2. User can restrict the cutout analysis by providing angle between the lengths L1, L2. Recommended angle (X) is less than or equal to 20°.

Example

Where,

C = Minimum Distance between Cutouts

X = Angle between lines (L1, L2)


Minimum Distance between Dimples

Rule

The distance between two dimples should be greater than or equal to the specified value.

Explanation

A certain minimum distance should be maintained between dimples to avoid fracture. Generally, care needs to be taken when placing formed features close to each other. If a station does not clear a form already placed in a part, the form will get flattened out.

Recommendations

The distance between two dimples must be greater than or equal to (4*t + Inner Radius), where t = Sheet Metal Thickness & Inner Radius is inner radius of the first or second dimple whichever is lesser.

Example

Where,

t= Sheet Thickness

D = Minimum Distance between Dimples


Minimum Distance from Bend to a Parallel Slot

Rule

The ratio of the minimum distance from bend to a parallel slot should be greater than or equal to a user specified value.

Explanation

Slots that are too close to a bend can get distorted during the bending operation. If it is necessary to have the slots closer, make the slots cross the bend line.

Recommendations

As a general guideline, minimum distance from bend to a parallel slot should be at least 4 times sheet thickness.

Example

Where,

D = Distance from Bend to parallel slot

t = Sheet Thickness


Minimum Distance from Dimple to Bend

Rule

The minimum distance from dimple to bend should be greater than or equal to the specific value.

Explanation

A certain minimum distance must be maintained between dimple and the bend feature to avoid deformation and fracture of the metal.

Recommendations

General guidelines suggest that a minimum distance of four times the sheet thickness plus the inside radius of each dimple must be maintained between a dimple and the bend feature.

Example

Where,

t= Sheet Thickness

D = Minimum Distance from Dimple to Bend


Minimum Distance from Dimple to Cutout

Rule

The minimum distance from dimple to cutout edge should be greater than or equal to the specific value.

Explanation

A certain minimum distance must be maintained between dimple and cutout edge to avoid deformation and fracture of the metal.

Recommendations

General guidelines suggest that a minimum distance of four times the sheet thickness plus the inside radius of each dimple must be maintained between a dimple and cutout edge.

Example

Where,

t= Sheet Thickness

D = Minimum Distance from a Dimple to Cutout Edge


Minimum Distance from Dimple to Hole

Rule

The distance between a Dimple and a Hole should be greater than or equal to the specified value.

Explanation

A certain minimum distance should be maintained between dimple and adjacent holes to avoid deformation and fracture of the metal.

Recommendations

The distance between a Dimple and a Hole should be greater than or equal to ( 3* t + Inner Radius), where, t = Sheet Metal Thickness.

Example

Where,

t= Sheet Thickness

D = Minimum Distance from Dimple to Hole


Minimum Distance from Dimple to Part Edge

Rule

The minimum distance from dimple to part edge should be greater than or equal to the specific value.

Explanation

A certain minimum distance must be maintained between dimple and the part boundary to avoid deformation and fracture of the metal.

Recommendations

General guidelines suggest that a minimum distance of four times the sheet thickness plus the inside radius of each dimple must be maintained between a dimple and the part edge.

Example

Where,

D = Minimum Distance from Dimple to Part Edge

t = Sheet Thickness


Minimum Distance from Edge of Part to a Parallel Slot

Rule

The ratio of the minimum distance from edge of part to a parallel slot to the slot length should be greater than or equal to a user specified value.

Explanation

To prevent distortion and/or tearing, slots should be sufficiently away from the part edge.

Recommendations

As a general guideline, minimum distance from edge of part to a parallel slot should be at least 0.2 times slot length.

Example

Where,

D = Minimum Distance from Edge of Part to Parallel Slot

L = Slot Length

t= Sheet Thickness


Minimum Flange Height

Rule

The ratio of flange height to sheet metal thickness should be greater than or equal to the user specified value.

Explanation

A sufficient ratio of flange height to sheet metal thickness must be maintained to provide appropriate grip for holding the part in position while generating the desired feature on it. Also it is difficult to manufacture flange with smaller height.

Recommendations

General guidelines suggest that a minimum flange height to sheet metal thickness ratio of 3.5 should be maintained.

Example

Where,

t= Sheet Thickness

h = Flange Height

Note:

Only 90 degree flanges will be considered for the analysis.


Minimum Flange Height - Based on Thickness

Rule

Minimum height of flange should be greater than or equal to the user specified value for the corresponding thickness.

Explanation

Minimum flange height corresponding to sheet thickness must be maintained to provide appropriate grip for holding the part in position while generating the desired feature on it. Also it is difficult to manufacture flange with smaller height.

Recommendations

Minimum height of flange should be greater than or equal to the user specified value for the corresponding thickness as mentioned in the table.

Example

Where,

t= Sheet Thickness

L min= Flange Height


Minimum Hole Diameter

Rule

The ratio of the hole diameter to the sheet thickness should be greater than or equal to the specified value, which is configurable.

Explanation

If the punch diameter becomes too small to bear the shear force required to punch the hole over a small area, it may lead to failure.

Configuration

DFMPro identifies the minimum hole diameter and computes the diameter to thickness ratio against a pre-configured value. User can edit the default configured value.

Recommendations

In general, minimum hole diameter to sheet thickness ratio should be >= 1.0.

Example

Where,

D = Hole Diameter

t= Sheet Thickness


Minimum Width of a Slot

Rule

The ratio of width of a slot to sheet thickness should be greater than or equal to user specified value. The ratio of length of a slot to the width of the slot should be less than or equal to user specified value.

Explanation

Narrow cutouts lead to thin punches that often break in production.

Recommendations

Ratio of width to sheet thickness should be greater than or equal to user specified value.

Example

Where,

L = Slot Length

W = Width of Slot

t= Sheet Thickness

Note:

Slots of following shapes are supported for length and width calculations-


Minimum Width of Cutout

Rule

The ratio of minimum width of cutout to the sheet thickness should be greater than or equal to user specified value.

Explanation

Narrow external gap leads to narrow punch which is not preferred. Sufficient width should be maintained so as to ensure that die punch doesn’t become too thin and fragile and also is not subjected to distortion

Recommendations

As a general guide line, width of cutout to sheet thickness ratio should be >=1.5.

Example

Where,

t= Sheet Thickness

W = Width of Cutout

Note:

Only U-shaped cutouts shown in the help image are supported.


Multiple Bends in Same Direction

Rule

For ease of manufacturing, all the bends on the same plane should occur in the same direction.

Explanation

If bends are in different direction on a sheet metal part, it requires different setups and handler needs to make multiple position changes which increases overall cycle time.

Recommendations

All bends should be on the same plane to make it easy for manufacturing.

Example


Notch Parameters

Rule

Notch parameters should be as per user specified value.

Explanation

Notch feature with appropriate parameters will helps to release metal for fitting up.

Recommendations

General guidelines suggest that a notch width should be greater than or equal to 1.5 times sheet metal thickness and notch depth should be less than or equal to 5 times the notch width.

Example

Where,

t= Sheet Thickness

W= Notch Width

D = Notch Depth


Notch to Bend Distance

Rule

The ratio of the minimum distance between a notch & a bend to the sheet thickness should be greater than or

equal to a user specified value.

Explanation

Notching is a shearing operation that removes a section from the outer edge of the metal strip or part.

In case distance between notches to bend is very small then distortion of sheet metal may take place. To avoid such condition notch should be placed at appropriate distance from bend with respect to sheet thickness.

Recommendations

General guidelines suggest that,

  1. For perpendicular notches, the ratio of notch to bend distance (D1) to the sheet thickness should be >= 4.

  2. For parallel notches, the ratio of notch to bend distance (D2) to the sheet thickness should be >= 10.

  3. For other notches, the ratio of notch to bend distance (D3) to sheet thickness should be >= 10.

Example

Where,

t= Sheet Thickness

D1 = Perpendicular Distance

D2= Parallel Distance

D3 = Inclined Distance


Open Hem

Rule

  • The ratio of the radius of an open hem to the sheet metal thickness should be greater than or equal to the value specified, which is configurable. The default ratio is 0.5.

  • The ratio of the return flange height to the sheet metal thickness should be greater than or equal to the value specified, which is configurable. The default ratio is 4.0.

Where,

H= Return Flange Length

R = Hem Radius

t = Sheet Thickness


Preferred Sheet Sizes

Rule

Length and width of the flattened sheet metal part should be as per the standard sheet sizes that are available in the inventory.

Explanation

Every organization has their standard or preferred sheet sizes which are in accordance with the machine’s capability and setup. At the initial stage of the design, designer should be aware of unfolded sheet size and corresponding appropriate sheet sizes availability in the inventory. This will help designer to take decisions related to inventory management. Indirectly it helps to reduces inventory of non-standard sheet sizes and cost of the manufacturing.

Length and width of the flattened sheet metal part should be within the preferred sheet sizes used for manufacturing depending on the material and sheet thickness.

Example

Where,

L = Sheet Metal Length

W = Sheet Metal Width

CL = Trimming Clearance on Length Side

CW = Trimming Clearance on Width Side


Recommended Bend Radius and Tolerance

Rule

For uniformity, appropriate bend radius and tolerance should be maintained so that supplier can use standard tooling to achieve bend radius.

Explanation

Minimum bend radius is a function of ductility and thickness of the material being worked. The minimum bend radii requirements can vary depending on applications and material. Uniformity in bend radius and appropriate tolerance will help supplier to choose standard tooling. Extremely close tolerance in bend is not feasible from supplier tooling perspective.

Configuration

Users can select materials in the table for Material from the drop-down list. The drop-down list is populated using fabrication material in the Material database.

When DFMPro is executed, the user should select material for the part in the “Input Selection” window. The user can select any ‘Material Grade’ under the configured ‘Material Group’.

Based on configured material and sheet thickness rule will check the exact bend radius on the part and check the exact tolerance value.

Recommendation

As general guideline suggest, the minimum bend radius and tolerance should be as per configurable table.

Example

Excel Input Format

'Ctrl+I' option is available for bulk data input to the rule configuration.

Importing Data Excel data input template for this rule is as below-

t | R | T1 | T2
3 | 5 | -1 | 2
4 | 8 | -1 | 2
5 | 10 | -1 | 2


Recommended Sheet Metal Tolerances

Rule

Tolerances for sheet metal should be greater than or equal to user specified value.

Explanation

Tight tolerances increase manufacturing cost and lower productivity. Tolerances which will improve manufacturing efficiency and are functionally acceptable should be specified.

Only holes on same support face are considered. Tolerances for holes on different support faces will be different.

Configuration

DFMPro identifies the respective features from the CAD model, reads the associated dimensional/geometric tolerances and validates the same against a configured value.

The default configured values can be edited.

Where,

A= Hole to Part Edge Distance Tolerance

B= Hole Spacing Tolerance

Recommendations

Tolerances which are too tight lead to higher cost and lower productivity. Parts with right tolerances have excellent fit and function along with improved manufacturing efficiency.

Example

For the following sheet metal part user had added tolerance value of 0.10 for spacing between the holes and tolerance value of 0.08 for hole to part edge distance.

However, configured recommended tolerance value for spacing between the holes is 0.12 and configured recommended tolerance value for hole to part edge distance is 0.12, then DFMPro will analyze and show it as a failure. Please check the image below for reference.

Note:

For Conversion of Position (Cylindrical) Tolerance Zones to/from Coordinate Tolerance Zones, click here.


Recommended Punch Parameters

Rule

Punch tool shape and size should be as per the standards in order to avoid extra tooling and inventory cost.

Explanation

Every organization has their own set of standard punch/die shape and sizes. While designing any component, If Designer knows the information about punch shape and sizes available in the inventory then it will help them to check the nearest standard tools available corresponding to feature design.

If there are any variation in feature design then designers will take decision to go ahead with non-standard punch shapes/sizes or modify the design as per the standard sizes available in order to reduce the tooling and inventory cost.

Configuration

The rule can be configured to specify allowable standard punch parameters in terms of an absolute value for different types of shapes like square, round, obround and countersink.

Note:

  1. If rectangular punch is not configured in the rule UI (with only square punch configured), rectangular cutout can be manufactured by nibbling operation. For rectangular cutout, rule will recommend square punch by using minimum width of rectangle. If width of rectangular cutout matches with that of square punch, then rule will pass assuming rectangular cutout will be manufactured with nibbling operation by using square punch.

  2. If rectangular punch is configured in the rule configuration UI, rectangular cutout can be manufactured with nibbling operation assuming either the width or the length of rectangular cutout matches with standard rectangular punch.

  3. If square and rectangular punch are configured in rule UI, rule will validate separately. Square cutout will be validated with standard square punch and rectangular cutout will be validated with standard rectangular punch.

  4. If hole diameter is greater than the maximum round punch diameter in database, then rule will consider maximum punch diameter for manufacturing the hole with nibbling operation.

  5. For obround shape, go to rule UI and refer standard obround punch values.

Example: Following standard cutouts are supported

Where,

W = Width

L = Length

d = Hole Diameter

D = Punch Diameter (in case of round shape punch)

D = Countersink Diameter (in case of Countersink shape punch)

Note :

In DFMPro default value of K-factor is 0.5


Rolled Hem

Rule

  • The ratio of the external radius of a rolled hem to material thickness should be greater than or equal to the specified value, which is configurable. The default ratio is 2.0.

  • The ratio of the rolled hem opening to material thickness should be greater than or equal to the specified value, which is configurable. The default ratio is 1.0.

Where,

t= Sheet Thickness

R = Rolled Hem's External Radius

D = Rolled Hem's Opening


Rolled Hem to Hole Edge Distance

Rule

The ratio of the distance between the rolled hem and the edge of a hole to the sheet thickness should be greater than or equal to the specified value, which is configurable.

Explanation

If the distance from rolled hem to the edge of the hole falls below a minimum value, there is a chance of difficulty in punching the hole depending on the sequence of operations.

Configuration

DFMPro identifies the distance between rolled hem and the edge of hole and computes the distance to thickness ratio against a preconfigured value. User can edit the default configured value.

Recommendations

In general, minimum distance between rolled hem and edge of hole to sheet thickness >=1.0

Example

Where,

D = Minimum Distance between Rolled Hem and Edge of Hole

t = Sheet Thickness


Tear Drop Hem

Rule

  • The ratio of the radius of a tear drop hem to the sheet metal thickness should be greater than or equal to the specified value, which is configurable. The default ratio is 0.5.

  • The ratio of the return flange height to the sheet metal thickness should be greater than or equal to the specified value, which is configurable. The default ratio is 4.0.

  • The ratio of the opening (spacing between the hem edge and the part) to the sheet metal thickness should be greater than or equal to the specified value, which is configurable. The default ratio is 0.25.

Where,

R = Hem Radius

D = Hem Opening

H = Return Flange Length

t = Sheet Thickness


Weld Nut to Edge Clearance

Rule

The distance between the weld nut to any neighboring edge should be greater than or equal to the recommended value.

Explanation

Weld nuts are nuts welded to the part. The distance between the weld nut to any neighboring edge should be greater than or equal to the recommended value. This clearance is required for the tool to enter and perform the required weld operation.

Configuration

DFMPro identifies weld nut based on “Attribute Name” and “Attribute Value” which is defined in weld nut part and computes the minimum distance between weld nut to the part edge.

Recommendations

General guidelines suggest that the minimum distance between weld nut and neighboring edge should be >= 4 mm.

Example

Where,

C= Minimum Distance between Weld Nut to Edge

In the above figure, the minimum distance from circle enclosing weld nut to neighboring edges should be greater or equal than a recommended value.

Excel Input Format

'Ctrl+I' option is available for bulk data input to the rule configuration.

Importing Data Excel data input template for this rule is as below-

Note:

For successful execution of the rule, one component should be sheet metal part and rest should be vendor components [having attribute name defined as ‘DB_PART_REV’ with value 'VC'].


Linear and Angular Tolerance

Rule

Identify tolerances specified in the part that are tighter than specified values.

Explanation

DFMPro does not intend to suggest that these tolerances should be relaxed. It simply identifies all the stringent tolerances that need to be further analyzed.

It is common that novice designers, who focus on "design for function," may specify tolerances more stringent than necessary. Very often these tolerances increase the cost of manufacturing and the chances of rejection in mass production.

In general, tolerances should not be tighter than necessary and they should be within the natural process capability of the available machine tools.

Example

Configuration

Specify the recommended values for linear and angular tolerance zone.

Note:

  • Tolerance given for part file only identified and analyzed

  • Tolerance given in CAD Model are not visible in E drawing report

  • Linear and Angular Tolerance rule is supported for NX 9.0 onwards


Blind Hole Relief

Rule

Blind bored holes should be defined with a tool relief at the end of the hole
(i.e., depth of a bored hole = depth of a pre-bored hole + relief amount).

Explanation

Providing relief at the end of a bored hole would simplify the operation of honing, boring, reaming, and grinding which in turn will reduce the over-all cost.

Recommendation

The minimum amount of relief is expressed as a percent of the diameter of a pre-bored hole and is configurable.

Where,

1 = Bored hole diameter

2 = Pre-bored hole diameter

3 = Relief at the end of a bored hole

Configuration

Default value configured for Relief at the end of bored hole is to be greater than or equal to 3 % of the diameter of bored hole.

Example

In rule configuration, user would be able to check the relief at the end of bored hole with absolute value.


Keyways should be Radiused at their Ends

Rule

To suit a cutting tool, Blind axial keyways should be radiused at the end.

Explanation

The most commonly used types of keys are the Woodruff key, the round-end machine key and the square-ends machine key. However, square-ends machine key are difficult and expensive to generate.

For a radiused keyways generation, end milling cutter or a slotting cutter need to be used to prepare a keyway, which is faster than the other processes.

Recommendations

  • It is recommended to use radiused keyways at the end of a key-slot.

  • Radiused keyways need to be milled with end milling cutters, so that the rounded end or ends of the key may fit the ends of the keyway. The cutter’s diameter should always be equal to the width of the key.

Configuration

This rule checks whether keyways are radiused or not, so configuration information is not required.

Example 1

A blind keyway that is square at the end is very difficult to achieve by milling.

Example 2

Keyways should be radiused at the end to suit the cutting tool (e.g., an end milling cutter).

Example 3

It is even better if the end of keyway is radiused in such a way that it could be cut by a slotting cutter, which is a faster method of machining keyways.

Note:

Definition of Keyways-

Where,

D = Diameter of Shaft

H = Depth of Keyways

W = Width of Keyways

Width to Diameter ratio should be ( W/D = 0.3 ) & Height to Width ratio should be (H/W = 1.0)


Long - Slender Turned Parts

Rule

The axial-length of the part should be proportional to the parts minimum diameter to avoid deflection towards center.

Explanation

For long-slender part, we would need to center drill the free end and use a dead or live center in the tailstock to support it. Without such support, the force of the tool on the work piece would cause it to bend away from the tool. There is also the potential that the work could be forced to loosen in the chuck jaws and fly out as a dangerous projectile.

Even though the part is supported by a tail stock, a very long slender part may result in deflection toward the center.

Recommendation

Where possible, turned parts should be designed such that a tail stock support is not required. This is done by designing the part to be stubby rather than long with a high aspect ratio.

Configuration

Default configured aspect ratio of total length of part to its minimum diameter is less than or equal to 8.0

Example

Where,

L = Turn Length

D = Tube Diameter


Minimum Internal Corner Radius

Rule

It specifies the largest possible radius on the internal corners of a turned part.

Explanation

Avoid sharp internal corners. Provide a generous inside radius to allow a tool with a large nose radius, which is less prone to breakage. A turn-down surface at right angles to an un-machined (cast) surface might lead to burrs. The minimum radius on internal corners of a turned part determines the cutting inserts that can be used.

Recommendation

It is always recommended to use cutting inserts with larger radii. If possible, inside corner radii should be left to the discretion of the manufacturer.

Configuration

This rule checks whether the internal corners are appropriately radiused or not, default value configured for minimum radius at internal corner is greater than or equal to 0.5 mm (0.0196 inch).

Example

Where,

R= Turn Corner Radius


OD Profile Relief

Rule

Profile relief on the outer diameter of a turned part helps in smooth turn-machining of part.

Explanation

The turned contour should be such that easy tracing should be possible with a minimum number of changes of stylus and cutting tool. Grooves with parallel or steep sidewalls are not feasible in one operation.

Recommendations

  • Contours inclined up to an angle of 58° from the axis of the part are feasible for a cutting tool (and stylus). Following image shows feasible contours when they are perpendicular to the axis.

  • Where,

  • Q= Tool Relief Angle

  • In order to provide proper relief for the turn tool, the acute angle made between the outer diameter profile and a face parallel to the turn axis typically should not be greater than the user configured value.

Configuration

Default value configured for ‘Tool relief angle on outer diameter profile’ is 58 deg or less. User can configure appropriate value.

Example


Symmetrical Axial Slots

Rule

The width of axial slots and keyways on turned parts should be symmetrical about the turn axis.

Explanation

If width of axial slots and keyways is not symmetrical about the turn axis, then a part will face problems while coupling with other turn parts.

This rule is applied to the kind of keyway features described in the rule Keyways should be radiused at their ends.

Recommendation

Design axial slots and keyways such that they are symmetrical about the turn axis. This rule identifies whether the width of axial slots and keyways is symmetrical about the turn axis or not, a condition which is likely a result of an error during modeling.

Configuration

This rule checks whether the width of axial slots and keyways is symmetrical about the turn axis or not, so configuration information is not required.

Example


Minimum Bending Radius for Tubes and Hoses

Rule

The bend radius for tubes and hoses should be greater than or equal to a minimum user specified value.

Explanation

Tubes and hoses routed with too tight bends lead to inappropriate and unreliable connections, leading to leakage and performance loss and also short service life.

Recommendations

It is recommended to have bend radius for tubes greater than or equal to a minimum user specified value or as per industry standards.

Example


Minimum Clearance between Tubes

Rule

The minimum clearance between tubes should be greater than or equal to the user specified value.

Explanation

Aircraft fluid lines are usually made of metal tubing or flexible hose.
Metal tubing (also called rigid fluid lines) is used in stationary applications and where long, relatively straight runs are possible.
They are widely used in aircraft for fuel, oil, coolant, oxygen, instrument, and hydraulic lines.
Flexible hose is generally used with moving parts or where the hose is subject to considerable vibration.
Zero clearance between tubes may cause damage due to vibration and also corrosion may takes place which leads leakage in the system.

Configuration

The rule can be configured to specify allowable minimum clearance between outer diameters of the tubes.

Example

Where,

C= Clearance between Tubes

Note

  • This rule will not run on part file consisting of single tube loop.

  • This rule will run on assembly file consisting of multiple tubes.

Criteria for execution

Cross section of tube should be circular and diameter of tube should be uniform.


Recommended Tube Bend Radius

Rule

The tube bend radius should be equal to the user specified value.

Explanation

Manufacturing tubes with non-standard and tight bend radii leads to undesired bends. Nonstandard bend radius usually results in wrinkles on bends which causes inappropriate and unreliable connections. Problems such as leakage and performance loss are observed due to this.

User can use Ctrl + I functionality for importing the Excel data.

Configuration

The rule can be configured to specify allowable center bend radius based on outer diameter of the tube.

Example

Where,

D = Tube outer diameter

R = Center bend radius

Note:

  • This rule will execute on part file consisting of single tube loop.

  • This rule will run on assembly file consisting of multiple tubes.

Criteria for execution:

  1. If cross section of tube is circular.

  2. If diameter of tube is uniform.


Fastener Database

User can add,remove or edit fastener(s) in the database from the configuration dialog available in rule manager.

Fastener Addition to database

  1. Double click on any fastener rule in rule manager. It will open rule configuration dialog.

  2. Click on Edit button to open fastener database.

  3. The fasteners can be added to database in different ways-

  1. Manually type in the Fastener names.

  2. Using RMB click on fastener database window, user can select one or more fasteners (It supports all CAD parts for example *.CATPart,*.Prt, etc.) ) from part location for adding in the database.

  3. Keep all the known fasteners in an excel file and press CTRL+I in this window, browse to the excel file and click open. All fasteners in that excel will get added to the database.

  4. Once all fasteners are added to the database via one rule, they get reflected in all other fastener rules automatically. One time activity for one rule.

  5. On clicking OK, the database file present at the following location gets updated: C:\ProgramData\GeometricLtd\DFMPro\DFMDataBase

  6. As one goes on adding new fasteners, this database file gets updated.


Importing the Excel Data

User can import the fastener names present in the excel sheet by using ‘Ctrl + I’ functionality.

Steps:

  1. Double click on rule in rule manager. It will open rule configuration dialog then go to edit fastener database dialog box, press Ctrl + I. It will open excel import dialog box.

  2. Import excel sheet as per the requirement.


Materials Database

Users can add, remove or edit material (s) in the database from the Rule Configuration window available in rule manager. Steps to configure materials for different

rules are provided below.

Open Check Contact Material rule configuration window

  1. Select Edit button in select material database of Material Database tab

  2. DFMPro will pop up Edit Material Database window

Expand Available material to view material groups and related materials in the list

  3. Here user can see some inbuilt materials groups which contains material related to the respective group.

For example: user want to add copper-coated cadmium material to the databse

Scroll down to search related group n Edit Material Database window

  4. Since copper coated cadmium is comes under Copper and Alloy group. Select that group

  5. Now user can see Copper and Alloy in Material group in Add/ Remove Material tab

  6. Enter copper-coated cadmium in Material Grade

  7. Then select Add button to add the material

  8. Press OK

  9. Once the material added DFMPro will give the message about material adding to database, Select OK button.

  10. Once it is added user can see the material in respective material group.

  11. If the material is already exits in the database DFMPro will give the message about the same

Similarly we can add other materials in respective groups.

Note: The newly added material information will be saved in respective computer

In material group is not available, we can create new materia group and add material to respective group as follows:

  1. Select any material group in Edit Material Database (For example: select Steel)

  2. Material group and material Grade tabs will enabled in Add/ Remove Material area (In Material Group it will shows selected group name)

  3. In Material Group remove old name and enter new material group name (For Example: Material Group 1)

  4. In Material Grade enter new material name (For Example: Carbon Brush)

  5. Select Add Button to add new material group and material to database

DFMPro will popup a message about adding the material

  6. Select OK in pop up window

  7. Select ok in Edit material database window to complete the process

  8. Now user can see the new material group and material in the Database

Once the material is added user can find it in selection window

Uniform Wall thickness

Steps:

1.Double click on Uniform Wall thickness rule in rule manager. It will open rule configuration window.

2.Select the Recommended Thickness for Materials option.

3.Click on Edit button to edit & view the materials database.

NOTE :

Only material grades of Group “Plastics” are considered for this rule.

Minimum Bend Radius

Steps:

  1. Double click on Minimum Bend Radius rule in rule manager. It will open rule configuration window.

  2. Click on Edit button to edit & view the materials database with 'Recommendation Based on Materials'

configuration.

NOTE :

By default fabrication material will be available for this rule.

Maximum Embossment Depth

Steps:

  1. Double click on Maximum Embossment Depth rule in rule manager. It will open rule configuration window.

  2. Click on Edit button to edit & view the materials database.

NOTE:

By default, fabrication materials will be available for this rule.


Modifying the DFMPro Database

DFMPro provides a database that includes standard drill sizes. The DFMPro database is read by all rule files.

The database can be modified to represent the hole sizes used in your machining environment.

  1. Open the Rule Manager dialog box using steps mentioned in How To Use DFMPro

  2. Select the Standard Hole Sizes rule and click the Edit Rule button.

The current records are listed. Each record defines a standard drill bit (i.e., drill diameter).

  3. Add and remove sizes, then click OK.

  4. Click Save.

These changes are saved in the default database file and will be read by all rule files.

Note:

DFMPro uses SQLite, an open source database, to provide a default database of standard hole sizes. This database is saved in a .dat file that can be modified only as explained above.


Using a Different Database

DFMPro is shipped with a database with default hole sizes which are commonly used. This database can be modified to include the hole sizes used in users machining environment.

However, some organization may have a proprietary database, which may have a totally different schema and format (e.g., an Access database).

Instead of copying the information from users database to the default database, User can direct application to access users database.

Registering the Connector Program

After you have written the connector program and compiled it as a DLL, you need to register the DLL in DFMPro.

  1. Click the Rule Manager button on the DFMPro toolbar.

  2. Click the Register Database button in the Rule Manager dialog box

This dialog box allows you to remove an existing registered database module, load an existing database module and load a new database module.

  3. Click the browse button, select the module file (.DLL), then click the Load button.

For details about the API (Application Programming Interface) please contact Technical Support.


Importing the Excel Data

Steps to import data

User can import the data present in the excel sheet by using ‘Ctrl + I’ functionality.

Steps:

  1. Double click on rule in rule manager to open the rule configuration dialog.

  2. Press ‘Ctrl + I’ to browse and import excel file data.

Note :

When you import an excel file it will append the values in rule UI.


dfm_rule.htm

Rules

Additive Manufacturing

Faces Requiring Support

Assembly

Check Preferred Components

Fastener Accessibility

Fastener Alignment

Fastener Clearance

Fastener Engagement Length

Hole Alignment

Interference Detection

Minimum Clearance Between Components

Casting

Fillet Radius

Minimum Draft Angle

Mold Wall Thickness

Recommended Rib Parameters

Undercut Detection

Uniform Wall thickness

Wall Thickness Variation

Drilling

Deep Holes

Entry/Exit Surface for Holes

Flat Bottom Holes

Holes Intersecting Cavities

Partial Holes

Standard Hole Sizes

General

Fillet Radius

Recommended Counterbore Hole Parameters

Injection Molding

Draft Angle Based on Height

Maximum Cutout Area

Minimum Draft Angle

Minimum Radius at Base of Boss

Minimum Radius at Tip of Boss

Mold Wall Thickness

Recommended Rib Parameters

Rib Reinforcement Check

Shut-off Parameters

Thickness at Tip of Rib

Undercut Detection

Uniform Wall thickness

Wall Thickness Variation

Milling

Avoid Angular Milling Faces

Buy to Fly Ratio

Deep - Narrow Slots

Deep Radiused Corners

Extended Clearance for Fillet

Fillets on Top Edges

Minimum Wall Thickness around Pocket

Narrow Regions in Pockets

Non Uniform Bottom Radius

Non Uniform Draft Features

Pockets With Bottom Chamfers

Recommended Bottom Radius

Recommended Groove Distance

Radius for Milling Features

Recommended Side Radius

Sharp Internal Corners

Tool Accessibility

Sheet Metal

Counterbore Hole to Bend Distance

Counterbore Hole Distance to Part Edge

Counterbore Hole Spacing

Countersink Hole to Bend Distance

Countersink Hole Distance to Part Edge

Countersink Hole Spacing

Cutout To Bend Distance

Cutout Distance To Part Edge

Cutout To Bend Distance (Line Length Based)

Cutout Distance To Part Edge (Line Length Based)

Dowel Distance To Bends

Dowel Distance To Cutouts

Dowel Distance To Part Edge

Dowel Outer Diameter

Dowel Outer Diameter Height

Dowel Spacing

Extruded Hole Distance To Bends

Extruded Hole Height

Extruded Hole Distance To Part Edge

Extruded Hole Inner Diameter

Extruded Hole Spacing

Extruded Hole Distance To Cutouts

Hole Distance to Bends

Knife Edge

Minimum Hole Diameter

Minimum Bend Radius

Minimum Distance Between Cutouts

Minimum Width Of a Slot

Minimum Distance From Edge of Part To a Parallel Slot

Minimum Distance From Bend To a Parallel Slot

Minimum Distance Between Cutouts (Line Length Based)

Multiple Bends in Same Direction

Open Hem

Rolled Hem

Rolled Hem to Hole Edge Distance

Tear Drop Hem

Turning

Blind Hole Relief

Keyways Should be Radiused at Their Ends

Long - Slender Turned Parts

Minimum Internal Corner Radius

OD Profile Relief

Symmetrical Axial Slots


dfm_pro_known_issues

Known Issues

Can I change the units in active part in NX session and then run DFMPro?

No. DFMPro can support only those units which are saved in the NX document.

Can I delete the failed results from Check-Mate results window?

It is possible to delete all DFMPro failures in NX version 8.0 and above. However, individual failures of DFMPro cannot be deleted.

Does DFMPro support partially loaded NX assembly files?

No. DFMPro does not support partially loaded NX assemblies. All the components must be loaded fully before running DFMPro to ensure correct results.

Does DFMPro support multi-body parts for Assembly module/profile?

No. Current version of DFMPro does not support multi-body parts for Assembly module rules.

Why are the faces or edges of model not highlighted for a few of the failure instances?

This can happen due to duplicate bodies in the file. In such a case, duplicate failure instances will be generated. Model entities may then highlighted only for one of the models.

Can I run multiple DFMPro profiles, simultaneously?

Multiple DFMPro profiles can be run simultaneously on NX part models. However, in case of assembly models, DFMPro may not give correct results in this scenario. Hence, it is recommended not to use multiple DFMPro profiles simultaneously on assembly models.

Can I use DFMPro toolbar button to select multiple pulling directions in NX?

Multiple pulling direction through toolbar button is supported only for NX 8.0 and higher versions.

Can I use Edit Mold Wall Classification functionality in NX?

Yes. DFMPro supports Edit Mold Wall functionality in NX version 8.0 and above.

Is the Linear and Angular Tolerance rule supporter by all NX versions?

Linear and Angular Tolerance rule is supported for NX 9.0 onwards.